<?php

/*
 **************************************
 * /administration/vieweditconfig.php
 * -------------
 * project: chCounter v2.3
 * last modified: February|28|2004
 * (c) by Christoph Bachner, 2003, 2004
 * webmaster@christoph-bachner.net | www.christoph-bachner.net
 *
 **************************************
 *
 * This file is part of chCounter.
 *
 * chCounter is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * chCounter is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with chCounter; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 **************************************
*/


if(!defined("IN_CHCOUNTER"))
{
	header("Location: http://".$HTTP_SERVER_VARS['SERVER_NAME'].dirname($HTTP_SERVER_VARS['PHP_SELF'])."/index.php");
	exit;
}


if(isset($HTTP_POST_VARS['action']) && $HTTP_POST_VARS['action'] == "config")
{
	if(strlen($HTTP_POST_VARS['blockzeit']) == 0
		|| strlen($HTTP_POST_VARS['user_online_fuer']) == 0
		|| strlen($HTTP_POST_VARS['url_hp']) == 0
		|| strlen($HTTP_POST_VARS['datum_format']) == 0
		|| strlen($HTTP_POST_VARS['verzeichnis']) == 0)
	{
		$meld_config = "<b>".$chC_lang['administration']['fehler_alle_felder_ausfuellen']."</b><br>";
	}
	elseif(!preg_match("/^([0-9]*)$/", $HTTP_POST_VARS['blockzeit'])
		OR !preg_match("/^([0-9]*)$/", $HTTP_POST_VARS['user_online_fuer']))
	{
		$meld_config = "<b>".$chC_lang['administration']['fehler_ungueltige_eingabe']."</b><br>".$chC_lang['administration']['fehler_nur_ziffern_erlaubt']."<br>";
	}
	else
	{
		if(!isset($HTTP_POST_VARS['cookie']))
			$HTTP_POST_VARS['cookie'] = "0";

		if(!isset($HTTP_POST_VARS['block_bots']))
			$HTTP_POST_VARS['block_bots'] = "0";

		if($db->query("UPDATE `".$GLOBALS['chC']['dbconfig']['table_config']."` SET blockzeit='".$HTTP_POST_VARS['blockzeit']."',
				      						user_online_fuer='".$HTTP_POST_VARS['user_online_fuer']."',
										url_hp = '".$HTTP_POST_VARS['url_hp']."',
										verzeichnis = '".$HTTP_POST_VARS['verzeichnis']."',
										cookie='".$HTTP_POST_VARS['cookie']."',
										lang='".$HTTP_POST_VARS['lang']."',
										datum_format='".$HTTP_POST_VARS['datum_format']."',
										zeitzone = '".$HTTP_POST_VARS['zeitzone']."',
										ignored_referers = '".$HTTP_POST_VARS['ignored_referers']."',
										block_bots = ".$HTTP_POST_VARS['block_bots']))
		{
			$meld_config = "<b>".$chC_lang['administration']['config_erfolgreich_eingetragen']."</b>\n";
		}
		else
		{
			$meld_config = "<b>".$chC_lang['administration']['config_nicht_erfolgreich_eingetragen']."</b>\n";
		}
	}
}

if(isset($HTTP_POST_VARS['action']) && $HTTP_POST_VARS['action'] == "updatecountdata")
{
	if(strlen($HTTP_POST_VARS['besucher_gesamt']) == 0
		OR strlen($HTTP_POST_VARS['max_online']) == 0
		OR strlen($HTTP_POST_VARS['max_pro_tag']) == 0
		OR strlen($HTTP_POST_VARS['besucher_heute']) == 0
		OR strlen($HTTP_POST_VARS['besucher_gestern']) == 0
		OR strlen($HTTP_POST_VARS['hits_gesamt']) == 0
		OR strlen($HTTP_POST_VARS['hits_heute']) == 0
		OR strlen($HTTP_POST_VARS['hits_gestern']) == 0)
	{
		$meld_updatecountdata = "<b>".$chC_lang['administration']['fehler_alle_felder_ausfuellen']."</b><br>\n";
	}
	elseif(!preg_match("/^([0-9]*)$/", $HTTP_POST_VARS['besucher_gesamt'])
		OR !preg_match("/^([0-9]*)$/", $HTTP_POST_VARS['max_online'])
		OR !preg_match("/^([0-9]*)$/", $HTTP_POST_VARS['max_pro_tag'])
		OR !preg_match("/([0-9])*/", $HTTP_POST_VARS['besucher_heute'])
		OR !preg_match("/^([0-9]*)$/", $HTTP_POST_VARS['besucher_gestern'])
		OR !preg_match("/^([0-9]*)$/", $HTTP_POST_VARS['hits_gesamt'])
		OR !preg_match("/^([0-9]*)$/", $HTTP_POST_VARS['hits_heute'])
		OR !preg_match("/^([0-9]*)$/", $HTTP_POST_VARS['hits_gestern']))
	{
		$meld_updatecountdata = "<b>".$chC_lang['administration']['fehler_ungueltige_eingabe']."</b><br>\n".$chC_lang['administration']['fehler_nur_ziffern_erlaubt']."<br>\n";
	}
	else
	{
		$data = $db->query("SELECT max_online, max_per_day FROM `".$GLOBALS['chC']['dbconfig']['table_data']."`");
		$data = $db->fetch_assoc($data);
		$max_online_datum = ($data['max_online'] < $HTTP_POST_VARS['max_online']) ? "max_online_datum = '".time()."'," : '';
		$max_per_day_datum = ($data['max_per_day'] < $HTTP_POST_VARS['max_pro_tag']) ? "max_per_day_datum = '".time()."'," : '';
		if($db->query("UPDATE `".$GLOBALS['chC']['dbconfig']['table_data']."` SET besucher_gesamt = '".$HTTP_POST_VARS['besucher_gesamt']."',
										besucher_heute = '".$HTTP_POST_VARS['besucher_heute']."',
										besucher_gestern = '".$HTTP_POST_VARS['besucher_gestern']."',
										max_online = '".$HTTP_POST_VARS['max_online']."',
										max_per_day = '".$HTTP_POST_VARS['max_pro_tag']."',
										hits_gesamt = '".$HTTP_POST_VARS['hits_gesamt']."',
										hits_heute = '".$HTTP_POST_VARS['hits_heute']."',
										$max_online_datum
										$max_per_day_datum
										hits_gestern = '".$HTTP_POST_VARS['hits_gestern']."'"))
		{
			$meld_updatecountdata = "<b>".$chC_lang['administration']['config_erfolgreich_eingetragen']."</b>\n";
		}
		else
		{
			$meld_updatecountdata = "<b>".$chC_lang['administration']['config_nicht_erfolgreich_eingetragen']."</b>\n";
		}
	}
}

if(isset($HTTP_POST_VARS['action']) && $HTTP_POST_VARS['action'] == "statistikconfig")
{
	if(strlen($HTTP_POST_VARS['anzahlproseitestat']) == 0
		OR strlen($HTTP_POST_VARS['anzahlreferer']) == 0
		OR strlen($HTTP_POST_VARS['anzahlseiten']) == 0
		OR strlen($HTTP_POST_VARS['anzahllaender']) == 0
		OR strlen($HTTP_POST_VARS['anzahlrefdomains']) == 0)
	{
		$meld_statistikconfig = "<b>".$chC_lang['administration']['fehler_alle_felder_ausfuellen']."</b><br>\n";
	}
	elseif(!preg_match("/^([0-9]*)$/", $HTTP_POST_VARS['eintraege_loeschen_nach'])
		OR !preg_match("/^([0-9]*)$/", $HTTP_POST_VARS['anzahlproseitestat'])
		OR !preg_match("/^([0-9]*)$/", $HTTP_POST_VARS['anzahlreferer'])
		OR !preg_match("/^([0-9]*)$/", $HTTP_POST_VARS['anzahlseiten'])
		OR !preg_match("/^([0-9]*)$/", $HTTP_POST_VARS['anzahllaender'])
		OR !preg_match("/^([0-9]*)$/", $HTTP_POST_VARS['anzahlrefdomains']))
	{
		$meld_statistikconfig = "<b>".$chC_lang['administration']['fehler_ungueltige_eingabe']."</b><br>".$chC_lang['administration']['fehler_nur_ziffern_erlaubt']."<br>\n";
	}
	else
	{
		switch($HTTP_POST_VARS['einheit_eintraege_loeschen_nach'])
		{
			case "m":	$faktor = 60; break;
			case "h":	$faktor = 3600; break;
			case "d":	$faktor = 86400; break;
		}
		if(!isset($HTTP_POST_VARS['showip']))
			$HTTP_POST_VARS['showip'] = 0;

                 if(!isset($HTTP_POST_VARS['stats_seiten_search_title']))
			$HTTP_POST_VARS['stats_seiten_search_title'] = 0;

                 if(!isset($HTTP_POST_VARS['stats_ignore_counterfile']))
			$HTTP_POST_VARS['stats_ignore_counterfile'] = 0;

                 if(!isset($HTTP_POST_VARS['stats_ignore_counterfiles']))
			$HTTP_POST_VARS['stats_ignore_counterfiles'] = 0;

		if($db->query("UPDATE `".$GLOBALS['chC']['dbconfig']['table_config']."` SET eintraege_loeschen_nach = '".($HTTP_POST_VARS['eintraege_loeschen_nach']*$faktor)."',
										einheit_eintraege_loeschen_nach = '".$HTTP_POST_VARS['einheit_eintraege_loeschen_nach']."',
										anzahl_pro_logseite = '".$HTTP_POST_VARS['anzahlproseitestat']."',
				      						anzahl_referer = '".$HTTP_POST_VARS['anzahlreferer']."',
										anzahl_refdomains = '".$HTTP_POST_VARS['anzahlrefdomains']."',
										anzahl_stats_seiten = '".$HTTP_POST_VARS['anzahlseiten']."',
										show_onlineuser_ip = ".$HTTP_POST_VARS['showip'].",
										anzahl_useragents = '".$HTTP_POST_VARS['anzahl_useragents']."',
										anzahl_suchwoerter = '".$HTTP_POST_VARS['anzahlsuchwoerter']."',
										anzahl_stats_countries = '".$HTTP_POST_VARS['anzahllaender']."',
										anzahl_aufloesungen = '".$HTTP_POST_VARS['anzahlaufloesungen']."',
										stats_seiten_search_title = ".$HTTP_POST_VARS['stats_seiten_search_title'].",
										stats_ignore_counterfile = '".$HTTP_POST_VARS['stats_ignore_counterfile']."',
										stats_ignore_counterfiles = '".$HTTP_POST_VARS['stats_ignore_counterfiles']."'"))
		{
			$meld_statistikconfig = "<b>".$chC_lang['administration']['config_erfolgreich_eingetragen']."</b>\n";
		}
		else
		{
			$meld_statistikconfig = "<b>".$chC_lang['administration']['config_nicht_erfolgreich_eingetragen']."</b>\n";
		}
	}
}


if(isset($HTTP_POST_VARS['action']) && $HTTP_POST_VARS['action'] == "activatestats")
{
	if(!isset($HTTP_POST_VARS['besucherdaten']))
		$HTTP_POST_VARS['besucherdaten'] = "0";
	if(!isset($HTTP_POST_VARS['referer']))
		$HTTP_POST_VARS['referer'] = "0";
	if(!isset($HTTP_POST_VARS['useragents']))
		$HTTP_POST_VARS['useragents'] = "0";
	if(!isset($HTTP_POST_VARS['laender']))
		$HTTP_POST_VARS['laender'] = "0";
	if(!isset($HTTP_POST_VARS['seiten']))
		$HTTP_POST_VARS['seiten'] = "0";
	if(!isset($HTTP_POST_VARS['aufloesungen']))
		$HTTP_POST_VARS['aufloesungen'] = "0";
	if(!isset($HTTP_POST_VARS['tage']))
		$HTTP_POST_VARS['tage'] = "0";
	if(!isset($HTTP_POST_VARS['monate']))
		$HTTP_POST_VARS['monate'] = "0";
	if(!isset($HTTP_POST_VARS['suchwoerter']))
		$HTTP_POST_VARS['suchwoerter'] = "0";
	if(!isset($HTTP_POST_VARS['js']))
		$HTTP_POST_VARS['js'] = "0";
	if(!isset($HTTP_POST_VARS['tageszeit_tag']))
		$HTTP_POST_VARS['tageszeit_tag'] = "0";
	$db->query("UPDATE `".$GLOBALS['chC']['dbconfig']['table_config']."`  SET activate_besucherdaten = '".$HTTP_POST_VARS['besucherdaten']."',
									activate_referer = '".$HTTP_POST_VARS['referer']."',
									activate_useragents = '".$HTTP_POST_VARS['useragents']."',
									activate_countries = '".$HTTP_POST_VARS['laender']."',
									activate_seiten = '".$HTTP_POST_VARS['seiten']."',
									activate_aufloesung = '".$HTTP_POST_VARS['aufloesungen']."',
									activate_tage = '".$HTTP_POST_VARS['tage']."',
									activate_monate = '".$HTTP_POST_VARS['monate']."',
									activate_suchwoerter = '".$HTTP_POST_VARS['suchwoerter']."',
									activate_js = ".$HTTP_POST_VARS['js'].",
									activate_tageszeit_tag = ".$HTTP_POST_VARS['tageszeit_tag']);
}


if(isset($HTTP_POST_VARS['action']) && $HTTP_POST_VARS['action'] == "specialresetstats" && $HTTP_POST_VARS['name'] != "1")
{
	if((isset($HTTP_POST_VARS['anzahl']) && strlen($HTTP_POST_VARS['wert_anzahl']) == 0) || (isset($HTTP_POST_VARS['zeit']) && (strlen($HTTP_POST_VARS['wert_zeit_tag']) == 0 || strlen($HTTP_POST_VARS['wert_zeit_monat']) == 0 || strlen($HTTP_POST_VARS['wert_zeit_jahr'] == 0) ) ) )
	{
		$meld_specialdeletestats = "<b>".$chC_lang['administration']['fehler_alle_felder_ausfuellen']."</b><br>\n";
	}
	elseif((isset($HTTP_POST_VARS['zeit']) &&
		(
			!preg_match("/^[0-9]*$/", $HTTP_POST_VARS['wert_zeit_tag'])
			|| !preg_match("/^[0-9]*$/", $HTTP_POST_VARS['wert_zeit_monat'])
			|| !preg_match("/^[0-9]*$/", $HTTP_POST_VARS['wert_zeit_jahr'])
		))
		||
		(isset($HTTP_POST_VARS['anzahl']) && !preg_match("/^[0-9]*$/", $HTTP_POST_VARS['wert_anzahl']))
	)
	{
		$meld_specialdeletestats = "<b>".$chC_lang['administration']['fehler_ungueltige_eingabe']."</b><br>".$chC_lang['administration']['fehler_nur_ziffern_erlaubt']."<br>\n";
	}
	else
	{
		$dbtable = ($HTTP_POST_VARS['name'] == 'referer') ? $GLOBALS['chC']['dbconfig']['table_referers'] : $GLOBALS['chC']['dbconfig']['table_useragents'];

		if(isset($HTTP_POST_VARS['anzahl']))
		{
			$second_cond = ($HTTP_POST_VARS['name'] == 'referer') ? "was = 'referer'" : "was = 'useragent'";
			$anzahl = $db->query("DELETE FROM `".$dbtable."` WHERE anzahl ".$HTTP_POST_VARS['operand_anzahl']." ".$HTTP_POST_VARS['wert_anzahl']." AND ".$second_cond);
		}

		if(isset($HTTP_POST_VARS['zeit']))
		{
			$where = ($HTTP_POST_VARS['operand_zeit'] == '=')
					? "WHERE datum >= ".mktime(0, 0, 0, $HTTP_POST_VARS['wert_zeit_monat'], $HTTP_POST_VARS['wert_zeit_tag'], $HTTP_POST_VARS['wert_zeit_jahr'])." AND datum < ".mktime(0, 0, 0, $HTTP_POST_VARS['wert_zeit_monat'], $HTTP_POST_VARS['wert_zeit_tag']+1, $HTTP_POST_VARS['wert_zeit_jahr'])
					:  "WHERE datum ".$HTTP_POST_VARS['operand_zeit']." ".mktime(0, 0, 0, $HTTP_POST_VARS['wert_zeit_monat'], $HTTP_POST_VARS['wert_zeit_tag'], $HTTP_POST_VARS['wert_zeit_jahr']);
			$zeit = $db->query("DELETE FROM $dbtable $where");
		}

		$meld_specialdeletestats = (!(isset($anzahl) && $anzahl == false) && !(isset($zeit) && $zeit == false))
						? $chC_lang['administration']['operation_ausgefuehrt']
						: $chC_lang['administration']['operation_nicht_ausgefuehrt'];

	}
}


if(isset($HTTP_POST_VARS['action']) && $HTTP_POST_VARS['action'] == "resetstats")
{
	$meld_deletestats = "<br>\n";
	if(isset($HTTP_POST_VARS['besucherdaten']))
	{
		$db->query("DELETE FROM `".$GLOBALS['chC']['dbconfig']['table_log_data']."`");
		$meld_deletestats .= "- <b>".$chC_lang['administration']['statistik_besucherdaten']." ".$chC_lang['administration']['statistik_loeschen_geloescht']."</b><br>\n";
	}
	if(isset($HTTP_POST_VARS['zugriffe']))
	{
		$db->query("DELETE FROM `".$GLOBALS['chC']['dbconfig']['table_access']."` WHERE was = 'monat' OR was = 'tag'");
		$meld_deletestats .= "- <b>".$chC_lang['administration']['statistik_zugriffe']." ".$chC_lang['administration']['statistik_loeschen_geloescht']."</b><br>\n";
	}
	if(isset($HTTP_POST_VARS['tageszeit_tag']))
	{
		$db->query("UPDATE `".$GLOBALS['chC']['dbconfig']['table_access']."` SET besucher = 0 WHERE was LIKE '%tageszeit\_%' OR was LIKE 'tag\_'");
		$db->query("UPDATE `".$GLOBALS['chC']['dbconfig']['table_access']."` SET timestamp = ".time()." WHERE was = 'tageszeit_tag_start'");
		$meld_deletestats .= "- <b>".$chC_lang['administration']['statistik_tageszeit_tag']." ".$chC_lang['administration']['statistik_loeschen_geloescht']."</b><br>\n";
	}
	if(isset($HTTP_POST_VARS['referer']))
	{
		$db->query("DELETE FROM `".$GLOBALS['chC']['dbconfig']['table_referers']."`");
		$meld_deletestats .= "- <b>".$chC_lang['administration']['statistik_referer']." ".$chC_lang['administration']['statistik_loeschen_geloescht']."</b><br>\n";
	}
	if(isset($HTTP_POST_VARS['seiten']))
	{
		$db->query("DELETE FROM `".$GLOBALS['chC']['dbconfig']['table_pages']."`");
		$meld_deletestats .= "- <b>".$chC_lang['administration']['statistik_besucherdaten']." ".$chC_lang['administration']['statistik_loeschen_geloescht']."</b><br>\n";
	}
	if(isset($HTTP_POST_VARS['seitenprouser']))
	{
		$db->query("UPDATE `".$GLOBALS['chC']['dbconfig']['table_data']."` SET hits_hits_pro_besucher = '0', besucher_hits_pro_besucher = '0'");
		$meld_deletestats .= "- <b>".$chC_lang['administration']['statistik_seitenprouser']." ".$chC_lang['administration']['statistik_loeschen_geloescht']."</b><br>\n";
	}
	if(isset($HTTP_POST_VARS['besucher_u_hits_pro_tag']))
	{
		$db->query("UPDATE `".$GLOBALS['chC']['dbconfig']['table_data']."` SET besucher_seit_counterstart = 0, hits_seit_counterstart = 0, counterstart = ".time());
		$meld_deletestats .= "- <b>".$chC_lang['administration']['statistik_besucher_u_hits_pro_tag']." ".$chC_lang['administration']['statistik_loeschen_geloescht']."</b><br>\n";
	}
	if(isset($HTTP_POST_VARS['browser_os']))
	{
		$db->query("DELETE FROM `".$GLOBALS['chC']['dbconfig']['table_useragents']."` WHERE was = 'browser' OR was = 'os' OR was = 'version'");
		$meld_deletestats .= "- <b>".$chC_lang['administration']['statistik_browser_os']." ".$chC_lang['administration']['statistik_loeschen_geloescht']."</b><br>\n";
	}
	if(isset($HTTP_POST_VARS['useragents']))
	{
		$db->query("DELETE FROM `".$GLOBALS['chC']['dbconfig']['table_useragents']."` WHERE was = 'useragent'");
		$meld_deletestats .= "- <b>".$chC_lang['administration']['statistik_useragents']." ".$chC_lang['administration']['statistik_loeschen_geloescht']."</b><br>\n";
	}
	if(isset($HTTP_POST_VARS['laender']))
	{
		$db->query("UPDATE `".$GLOBALS['chC']['dbconfig']['table_countries']."` SET anzahl = '0'");
		$meld_deletestats .= "- <b>".$chC_lang['administration']['statistik_laender']." ".$chC_lang['administration']['statistik_loeschen_geloescht']."</b><br>\n";
	}
	if(isset($HTTP_POST_VARS['aufloesungen']))
	{
		$db->query("DELETE FROM `".$GLOBALS['chC']['dbconfig']['table_resolutions']."`");
		$meld_deletestats .= "- <b>".$chC_lang['administration']['statistik_aufloesungen']." ".$chC_lang['administration']['statistik_loeschen_geloescht']."</b><br>\n";
	}
	if(isset($HTTP_POST_VARS['suchwoerter']))
	{
		$db->query("DELETE FROM `".$GLOBALS['chC']['dbconfig']['table_searchwords']."`");
		$meld_deletestats .= "- <b>".$chC_lang['administration']['statistik_suchwoerter']." ".$chC_lang['administration']['statistik_loeschen_geloescht']."</b><br>\n";
	}
	if(isset($HTTP_POST_VARS['js']))
	{
		$db->query("UPDATE `".$GLOBALS['chC']['dbconfig']['table_data']."` SET js_alle = 0, js_aktiv = 0");
		$meld_deletestats .= "- <b>".$chC_lang['administration']['statistik_js']." ".$chC_lang['administration']['statistik_loeschen_geloescht']."</b><br>\n";
	}
}

$config = $db->query("SELECT blockzeit,
				eintraege_loeschen_nach,
				einheit_eintraege_loeschen_nach,
				user_online_fuer,
				url_hp,
				verzeichnis,
				lang,
				anzahl_pro_logseite,
				anzahl_referer,
				anzahl_refdomains,
				anzahl_stats_seiten,
				show_onlineuser_ip,
				anzahl_useragents,
				anzahl_stats_countries,
				anzahl_aufloesungen,
				anzahl_suchwoerter,
				cookie,
				stats_ignore_counterfile,
				stats_ignore_counterfiles,
				zeitzone,
				datum_format,
				stats_seiten_search_title,
				activate_besucherdaten,
				activate_referer,
				activate_useragents,
				activate_countries,
				activate_seiten,
				activate_aufloesung,
				activate_tage,
				activate_monate,
				activate_suchwoerter,
				activate_js,
				activate_tageszeit_tag,
				ignored_referers,
				block_bots
			FROM `".$GLOBALS['chC']['dbconfig']['table_config']."`");
$config = $db->fetch_assoc($config);

switch($config['einheit_eintraege_loeschen_nach'])
{
	case "m":	$faktor = 60; break;
	case "h":	$faktor = 3600; break;
	case "d":	$faktor = 86400; break;
}
$eintraege_loeschen_nach = $config['eintraege_loeschen_nach'] / $faktor;
if($config['show_onlineuser_ip'] == "1")
{
	$status_showonlineip = "checked";
}
if(is_file("../install.php")
	|| is_file("../analyse_useragents.php")
	|| is_file("../update.php"))
{
	echo "<span style=\"color: #FF0000\">".$chC_lang['administration']['wichtig'].":</span><br>\n".$chC_lang['administration']['install.php_update.php_analyse_useragents.php_loeschen']."<br>\n<br>\n<br>\n";
}

?>
<div align="center">
<table border="1" style="text-align: left">
 <tr>
  <td style="padding: 5px;">
   <div style="text-align: center"><b><?php echo $chC_lang['administration']['menue']; ?></b></div>
   <ul style="margin-bottom: 0px">
    <li><?php
    	print (!isset($HTTP_GET_VARS['cat']) || (isset($HTTP_GET_VARS['cat']) && $HTTP_GET_VARS['cat'] == 'general_configuration'))
	      ? '<b><a href="index.php?show=counterconfig&cat=general_configuration">'.$chC_lang['administration']['uebersicht_allgemeine_konfiguration'].'</a></b>'
	      : '<a href="index.php?show=counterconfig&cat=general_configuration">'.$chC_lang['administration']['uebersicht_allgemeine_konfiguration'].'</a>';
	 ?></li>
    <li><?php
    	print (isset($HTTP_GET_VARS['cat']) && $HTTP_GET_VARS['cat'] == 'counter_values')
	      ? '<b><a href="index.php?show=counterconfig&cat=counter_values">'.$chC_lang['administration']['uebersicht_counterstand'].'</a></b>'
	      : '<a href="index.php?show=counterconfig&cat=counter_values">'.$chC_lang['administration']['uebersicht_counterstand'].'</a>';
	 ?></li>
    <li><?php
    	print (isset($HTTP_GET_VARS['cat']) && $HTTP_GET_VARS['cat'] == 'statistics_configuration')
	      ? '<b><a href="index.php?show=counterconfig&cat=statistics_configuration">'.$chC_lang['administration']['uebersicht_statistik-einstellungen'].'</a></b>'
	      : '<a href="index.php?show=counterconfig&cat=statistics_configuration">'.$chC_lang['administration']['uebersicht_statistik-einstellungen'].'</a>';
	 ?></li>
    <li><?php
    	print (isset($HTTP_GET_VARS['cat']) && $HTTP_GET_VARS['cat'] == 'activate_statistics')
	      ? '<b><a href="index.php?show=counterconfig&cat=activate_statistics">'.$chC_lang['administration']['uebersicht_statistiken_aktivieren'].'</a></b>'
	      : '<a href="index.php?show=counterconfig&cat=activate_statistics">'.$chC_lang['administration']['uebersicht_statistiken_aktivieren'].'</a>';
	 ?></li>
    <li><?php
    	print (isset($HTTP_GET_VARS['cat']) && $HTTP_GET_VARS['cat'] == 'erase_statistics')
	      ? '<b><a href="index.php?show=counterconfig&cat=erase_statistics">'.$chC_lang['administration']['uebersicht_statistiken_leeren'].'</a></b>'
	      : '<a href="index.php?show=counterconfig&cat=erase_statistics">'.$chC_lang['administration']['uebersicht_statistiken_leeren'].'</a>';
	 ?></li>
   </ul>
  </td>
 </tr>
</table>
<br>
<br>
<br>
<?php
if(isset($HTTP_GET_VARS['cat']) && $HTTP_GET_VARS['cat'] == 'counter_values')
{
	$countdata = $db->query("SELECT besucher_gesamt,
					besucher_heute,
	    				besucher_gestern,
					max_online,
					max_online_datum,
					max_per_day,
				     	max_per_day_datum,
					hits_gesamt,
					hits_heute,
					hits_gestern
				FROM `".$GLOBALS['chC']['dbconfig']['table_data']."`");
	$countdata = $db->fetch_assoc($countdata);
?>
<table border="1">
<tr>
<td style="text-align: center; padding: 5px">
<b><?php echo $chC_lang['administration']['counterstand']; ?></b><br>
<br>
<?php if(isset($meld_updatecountdata)) echo $meld_updatecountdata."<br>\n<br>\n<br>\n"; ?>
<form method="post" action="" name="countervalues" style="margin: 0px">
<input type="hidden" name="action" value="updatecountdata">
 <table border="0">
  <tr>
   <td style="padding:4px; padding-right: 20px"><?php echo $chC_lang['administration']['besucher_gesamt']; ?></td>
   <td style="padding:4px;"><input style="border: 1px solid #000000" type="text" size="10" name="besucher_gesamt" value="<?php echo isset($HTTP_POST_VARS['besucher_gesamt']) ? $HTTP_POST_VARS['besucher_gesamt'] : $countdata['besucher_gesamt']; ?>" maxlength="14"></td>
  </tr>
  <tr>
   <td  style="padding:4px; padding-right: 20px"><?php echo $chC_lang['administration']['besucher_heute']; ?></td>
   <td style="padding:4px;"><input style="border: 1px solid #000000" type="text" size="10" name="besucher_heute" value="<?php echo isset($HTTP_POST_VARS['besucher_heute']) ? $HTTP_POST_VARS['besucher_heute'] : $countdata['besucher_heute']; ?>" maxlength="14"></td>
  </tr>
  <tr>
   <td style="padding:4px; padding-right: 20px"><?php echo $chC_lang['administration']['besucher_gestern']; ?></td>
   <td style="padding:4px;"><input style="border: 1px solid #000000" type="text" size="10" name="besucher_gestern" value="<?php echo isset($HTTP_POST_VARS['besucher_gestern']) ? $HTTP_POST_VARS['besucher_gestern'] : $countdata['besucher_gestern'] ?>" maxlength="14"></td>
  </tr>
  <tr>
   <td style="padding:4px; padding-right: 20px"><?php echo $chC_lang['administration']['besucher_max_pro_tag']; ?></td>
   <td style="padding:4px;"><input style="border: 1px solid #000000" type="text" size="10" name="max_pro_tag" value="<?php echo isset($HTTP_POST_VARS['max_pro_tag']) ? $HTTP_POST_VARS['max_pro_tag'] : $countdata['max_per_day']; ?>" maxlength="14"></td>
  </tr>
  <tr>
   <td style="padding:4px; padding-right: 20px"><?php echo $chC_lang['administration']['besucher_max_online']; ?></td>
   <td style="padding:4px;"><input style="border: 1px solid #000000" type="text" size="10" name="max_online" value="<?php echo isset($HTTP_POST_VARS['max_online']) ? $HTTP_POST_VARS['max_online'] : $countdata['max_online']; ?>" maxlength="14"></td>
  </tr>
  <tr>
   <td style="padding:4px; padding-right: 20px"><?php echo $chC_lang['administration']['besucher_hits']; ?></td>
   <td style="padding:4px;"><input style="border: 1px solid #000000" type="text" size="10" name="hits_gesamt" value="<?php echo isset($HTTP_POST_VARS['hits_gesamt']) ? $HTTP_POST_VARS['hits_gesamt'] : $countdata['hits_gesamt']; ?>" maxlength="14"></td>
  </tr>
  <tr>
   <td style="padding:4px; padding-right: 20px"><?php echo $chC_lang['administration']['besucher_hits_heute']; ?></td>
   <td style="padding:4px;"><input style="border: 1px solid #000000" type="text" size="10" name="hits_heute" value="<?php echo isset($HTTP_POST_VARS['hits_heute']) ? $HTTP_POST_VARS['hits_heute'] : $countdata['hits_heute']; ?>" maxlength="14"></td>
  </tr>
  <tr>
   <td style="padding:4px; padding-right: 20px"><?php echo $chC_lang['administration']['besucher_hits_gestern']; ?></td>
   <td style="padding:4px;"><input style="border: 1px solid #000000" type="text" size="10" name="hits_gestern" value="<?php echo isset($HTTP_POST_VARS['hits_gestern']) ? $HTTP_POST_VARS['hits_gestern'] : $countdata['hits_gestern']; ?>" maxlength="14"></td>
  </tr>
  <tr>
   <td colspan="2"" style="padding:4px; text-align: center"><br><input style="border: 1px solid #000000" type="submit" value="<?php echo $chC_lang['administration']['eintragen']; ?>"></td>
  </tr>
 </table>
</form>
</td>
</tr>
</table>
<?php
}
elseif(isset($HTTP_GET_VARS['cat']) && $HTTP_GET_VARS['cat'] == 'statistics_configuration')
{
?>
<table border="1" width="500">
<tr>
<td style="text-align: center; padding: 5px">
<b><?php echo $chC_lang['administration']['statistikconfig']; ?></b><br>
<br>
<?php if(isset($meld_statistikconfig)) echo $meld_statistikconfig."<br>\n<br>\n<br>\n";
 ?>
<form method="post" action="" name="statsconfig" style="margin: 0px">
<input type="hidden" name="action" value="statistikconfig">
 <table border="0">
  <tr>
   <td style="padding:4px; padding-right: 20px"><?php echo $chC_lang['administration']['eintraege_loeschen_nach']; ?></td>
   <td style="padding:4px; padding-right: 20px"><input style="border: 1px solid #000000" type="text" size="10" name="eintraege_loeschen_nach" value="<?php echo $eintraege_loeschen_nach; ?>" maxlength="14" size="6">
                            <select name="einheit_eintraege_loeschen_nach" size="1">
                             <option value="m" <?php if($config['einheit_eintraege_loeschen_nach'] == "m") { echo "selected"; } ?>><?php echo $chC_lang['administration']['minuten']; ?></option>
                             <option value="h" <?php if($config['einheit_eintraege_loeschen_nach'] == "h") { echo "selected"; } ?>><?php echo $chC_lang['administration']['stunden']; ?></option>
                             <option value="d" <?php if($config['einheit_eintraege_loeschen_nach'] == "d") { echo "selected"; } ?>><?php echo $chC_lang['administration']['tage']; ?></option>
                            </select>
   </td>
  </tr>
  <tr>
   <td style="padding:4px; padding-right: 20px"><?php echo $chC_lang['administration']['anzahl_pro_logseite']; ?></td>
   <td style="padding:4px; padding-right: 20px"><input style="border: 1px solid #000000" type="text" size="10" name="anzahlproseitestat" value="<?php echo isset($HTTP_POST_VARS['anzahlproseitestat']) ? $HTTP_POST_VARS['anzahlproseitestat'] : $config['anzahl_pro_logseite']; ?>" maxlength="14"></td>
  </tr>
  <tr>
   <td style="padding:4px; padding-right: 20px"><?php echo $chC_lang['administration']['anzahl_referer']; ?></td>
   <td style="padding:4px; padding-right: 20px"><input style="border: 1px solid #000000" type="text" size="10" name="anzahlreferer" value="<?php echo isset($HTTP_POST_VARS['anzahlreferer']) ? $HTTP_POST_VARS['anzahlreferer'] : $config['anzahl_referer']; ?>" maxlength="14"></td>
  </tr>
  <tr>
   <td style="padding:4px; padding-right: 20px"><?php echo $chC_lang['administration']['anzahl_refdomains']; ?></td>
   <td style="padding:4px; padding-right: 20px"><input style="border: 1px solid #000000" type="text" size="10" name="anzahlrefdomains" value="<?php echo isset($HTTP_POST_VARS['anzahlrefdomains']) ? $HTTP_POST_VARS['anzahlrefdomains'] : $config['anzahl_refdomains']; ?>" maxlength="14"></td>
  </tr>
  <tr>
   <td style="padding:4px; padding-right: 20px"><?php echo $chC_lang['administration']['anzahl_seiten']; ?></td>
   <td style="padding:4px; padding-right: 20px"><input style="border: 1px solid #000000" type="text" size="10" name="anzahlseiten" value="<?php echo isset($HTTP_POST_VARS['anzahlseiten']) ? $HTTP_POST_VARS['anzahlseiten'] : $config['anzahl_stats_seiten']; ?>" maxlength="14"></td>
  </tr>
  <tr>
   <td style="padding:4px; padding-right: 20px"><?php echo $chC_lang['administration']['anzahl_user_agents']; ?></td>
   <td style="padding:4px; padding-right: 20px"><input style="border: 1px solid #000000" type="text" size="10" name="anzahl_useragents" value="<?php echo isset($HTTP_POST_VARS['anzahl_useragents']) ? $HTTP_POST_VARS['anzahl_useragents'] : $config['anzahl_useragents']; ?>" maxlength="14"></td>
  </tr>
  <tr>
   <td style="padding:4px; padding-right: 20px"><?php echo $chC_lang['administration']['anzahl_laender']; ?></td>
   <td style="padding:4px; padding-right: 20px"><input style="border: 1px solid #000000" type="text" size="10" name="anzahllaender" value="<?php echo isset($HTTP_POST_VARS['anzahllaender']) ? $HTTP_POST_VARS['anzahllaender'] : $config['anzahl_stats_countries']; ?>" maxlength="14"></td>
  </tr>
  <tr>
   <td style="padding:4px; padding-right: 20px"><?php echo $chC_lang['administration']['anzahl_aufloesungen']; ?></td>
   <td style="padding:4px; padding-right: 20px"><input style="border: 1px solid #000000" type="text" size="10" name="anzahlaufloesungen" value="<?php echo isset($HTTP_POST_VARS['anzahlaufloesungen']) ? $HTTP_POST_VARS['anzahlaufloesungen'] : $config['anzahl_aufloesungen']; ?>" maxlength="14"></td>
  </tr>
  <tr>
   <td style="padding:4px; padding-right: 20px"><?php echo $chC_lang['administration']['anzahl_suchwoerter']; ?></td>
   <td style="padding:4px; padding-right: 20px"><input style="border: 1px solid #000000" type="text" size="10" name="anzahlsuchwoerter" value="<?php echo isset($HTTP_POST_VARS['anzahlsuchwoerter']) ? $HTTP_POST_VARS['anzahlsuchwoerter'] : $config['anzahl_suchwoerter']; ?>" maxlength="14"></td>
  </tr>
  <tr>
   <td style="padding:4px; padding-right: 20px"><?php echo $chC_lang['administration']['show_ip']; ?></td>
   <td style="padding:4px; padding-right: 20px"><input type="checkbox" name="showip" value="1" <?php if($config['show_onlineuser_ip'] == "1") { echo "checked"; } ?>></td>
  </tr>
  <tr>
   <td style="padding:4px; padding-right: 20px"><?php echo $chC_lang['administration']['ignorier_counter.php']; ?></td>
   <td style="padding:4px; padding-right: 20px"><input type="checkbox" name="stats_ignore_counterfile" value="1" <?php if($config['stats_ignore_counterfile'] == "1") { echo "checked"; } ?>></td>
  </tr>
  <tr>
   <td style="padding:4px; padding-right: 20px"><?php echo $chC_lang['administration']['ignorier_counterdateien']; ?></td>
   <td style="padding:4px; padding-right: 20px"><input type="checkbox" name="stats_ignore_counterfiles" value="1" <?php if($config['stats_ignore_counterfiles'] == "1") { echo "checked"; } ?>></td>
  </tr>
  <tr>
   <td style="padding:4px; padding-right: 20px"><?php echo $chC_lang['administration']['suche_title_chCounter_tags']; ?></td>
   <td style="padding:4px; padding-right: 20px"><input type="checkbox" name="stats_seiten_search_title" value="1" <?php if($config['stats_seiten_search_title'] == "1") { echo "checked"; } ?>></td>
  </tr>
  <tr>
   <td colspan="2"" style="padding:4px; text-align: center"><br><input type="submit" style="border: 1px solid #000000" value="<?php echo $chC_lang['administration']['eintragen']; ?>"></td>
  </tr>
 </table>
</form>
</td>
</tr>
</table>
<?php
}
elseif(isset($HTTP_GET_VARS['cat']) && $HTTP_GET_VARS['cat'] == 'activate_statistics')
{
?>
<table border="1">
<tr>
<td style="text-align: center; padding: 5px">
<b><?php echo $chC_lang['administration']['statistiken_(de)aktivieren']; ?></b><br>
<br>
<form action="" method="post" name="activatestats" style="margin: 0px">
<input type="hidden" name="action" value="activatestats">
<input type="hidden" name="besucherdaten" value="1">
 <table border="0">
 <!-- <tr>
   <td style="padding:4px; padding-right: 20px"><input type="checkbox" name="besucherdaten" value="1" <?php if($config['activate_besucherdaten'] == "1") echo "checked"; ?>></td>
   <td style="padding:4px; padding-right: 20px"><?php echo $chC_lang['administration']['besucherdaten_loggen']; ?></td>
  </tr> -->
  <tr>
   <td style="padding:4px; padding-right: 20px"><input type="checkbox" name="tage" value="1" <?php if($config['activate_tage'] == "1") echo "checked"; ?>></td>
   <td style="padding:4px; padding-right: 20px"><?php echo $chC_lang['administration']['4wochenstatistik_aktivieren']; ?></td>
  </tr>
  <tr>
   <td style="padding:4px; padding-right: 20px"><input type="checkbox" name="monate" value="1" <?php if($config['activate_monate'] == "1") echo "checked"; ?>></td>
   <td style="padding:4px; padding-right: 20px"><?php echo $chC_lang['administration']['monatsstatistik_aktivieren']; ?></td>
  </tr>
  <tr>
   <td style="padding:4px; padding-right: 20px"><input type="checkbox" name="referer" value="1" <?php if($config['activate_referer'] == "1") echo "checked"; ?>></td>
   <td style="padding:4px; padding-right: 20px"><?php echo $chC_lang['administration']['refererstatistik_aktivieren']; ?></td>
  </tr>
  <tr>
   <td style="padding:4px; padding-right: 20px"><input type="checkbox" name="seiten" value="1" <?php if($config['activate_seiten'] == "1") echo "checked"; ?>></td>
   <td style="padding:4px; padding-right: 20px"><?php echo $chC_lang['administration']['seitenstatistik_aktivieren']; ?></td>
  </tr>
  <tr>
   <td style="padding:4px; padding-right: 20px"><input type="checkbox" name="useragents" value="1" <?php if($config['activate_useragents'] == "1") echo "checked"; ?>></td>
   <td style="padding:4px; padding-right: 20px"><?php echo $chC_lang['administration']['useragentsstatistik_aktivieren']; ?></td>
  </tr>
  <tr>
   <td style="padding:4px; padding-right: 20px"><input type="checkbox" name="laender" value="1" <?php if($config['activate_countries'] == "1") echo "checked"; ?>></td>
   <td style="padding:4px; padding-right: 20px"><?php echo $chC_lang['administration']['laenderstatistik_aktivieren']; ?></td>
  </tr>
  <tr>
   <td style="padding:4px; padding-right: 20px"><input type="checkbox" name="aufloesungen" value="1" <?php if($config['activate_aufloesung'] == "1") echo "checked"; ?>></td>
   <td style="padding:4px; padding-right: 20px"><?php echo $chC_lang['administration']['aufloesungsstatistiken_aktivieren']; ?></td>
  </tr>
  <tr>
   <td style="padding:4px; padding-right: 20px"><input type="checkbox" name="suchwoerter" value="1" <?php if($config['activate_suchwoerter'] == "1") echo "checked"; ?>></td>
   <td style="padding:4px; padding-right: 20px"><?php echo $chC_lang['administration']['suchwoerterstatistiken_aktivieren']; ?></td>
  </tr>
  <tr>
   <td style="padding:4px; padding-right: 20px"><input type="checkbox" name="js" value="1" <?php if($config['activate_js'] == "1") echo "checked"; ?>></td>
   <td style="padding:4px; padding-right: 20px"><?php echo $chC_lang['administration']['js_aktivieren']; ?></td>
  </tr>
  <tr>
   <td style="padding:4px; padding-right: 20px"><input type="checkbox" name="tageszeit_tag" value="1" <?php if($config['activate_tageszeit_tag'] == "1") echo "checked"; ?>></td>
   <td style="padding:4px; padding-right: 20px"><?php echo $chC_lang['administration']['tageszeit_tag_aktivieren']; ?></td>
  </tr>
  <tr>
   <td colspan="2"" style="padding:4px; text-align: center"><input type="submit" style="border: 1px solid #000000" value="<?php echo $chC_lang['administration']['ok']; ?>"></td>
  </tr>
 </table>
</form>
</td>
</tr>
</table>
<?php
}
elseif(isset($HTTP_GET_VARS['cat']) && $HTTP_GET_VARS['cat'] == 'erase_statistics')
{

	$anzahl_gesamt_useragents = $db->query("SELECT COUNT(typ) as anzahl FROM `".$GLOBALS['chC']['dbconfig']['table_useragents']."` WHERE was = 'useragent'");
	$anzahl_gesamt_useragents = $db->fetch_assoc($anzahl_gesamt_useragents);
	$anzahl_gesamt_useragents = $anzahl_gesamt_useragents['anzahl'];

	$anzahl_gesamt_referer = $db->query("SELECT COUNT(referer) as anzahl FROM `".$GLOBALS['chC']['dbconfig']['table_referers']."` WHERE was = 'referer'");
	$anzahl_gesamt_referer = $db->fetch_assoc($anzahl_gesamt_referer);
	$anzahl_gesamt_referer = $anzahl_gesamt_referer['anzahl'];

?>
<table border="1">
<tr>
<td style="text-align: center; padding: 5px">
<b><?php echo $chC_lang['administration']['statistiken_leeren']; ?></b><br>
<br>
<br><b><?php echo $chC_lang['administration']['vollstaendig_loeschen']; ?></b><br>
<br>
<?php if(isset($meld_deletestats)) echo $meld_deletestats."<br>\n<br>\n<br>\n"; ?>
<form action="" method="post" name="deletestats" style="margin: 0px">
<input type="hidden" name="action" value="resetstats">
 <table border="0">
  <tr>
   <td style="padding:4px; padding-right: 20px"><input type="checkbox" name="besucherdaten" value="1"></td>
   <td style="padding:4px; padding-right: 20px"><?php echo $chC_lang['administration']['besucherdaten_leeren']; ?></td>
  </tr>
  <tr>
   <td style="padding:4px; padding-right: 20px"><input type="checkbox" name="zugriffe" value="1"></td>
   <td style="padding:4px; padding-right: 20px"><?php echo $chC_lang['administration']['zugriffsstatistik_leeren']; ?></td>
  </tr>
  <tr>
   <td style="padding:4px; padding-right: 20px"><input type="checkbox" name="tageszeit_tag" value="1"></td>
   <td style="padding:4px; padding-right: 20px"><?php echo $chC_lang['administration']['tageszeit_tag_statistik_leeren']; ?></td>
  </tr>
  <tr>
   <td style="padding:4px; padding-right: 20px"><input type="checkbox" name="referer" value="1"></td>
   <td style="padding:4px; padding-right: 20px"><?php echo $chC_lang['administration']['referer_leeren']; ?></td>
  </tr>
  <tr>
   <td style="padding:4px; padding-right: 20px"><input type="checkbox" name="seiten" value="1"></td>
   <td style="padding:4px; padding-right: 20px"><?php echo $chC_lang['administration']['seiten_leeren']; ?></td>
  </tr>
  <tr>
   <td style="padding:4px; padding-right: 20px"><input type="checkbox" name="seitenprouser" value="1"></td>
   <td style="padding:4px; padding-right: 20px"><?php echo $chC_lang['administration']['seitenprouser_leeren']; ?></td></td>
  </tr>
  <tr>
   <td style="padding:4px; padding-right: 20px"><input type="checkbox" name="besucher_u_hits_pro_tag" value="1"></td>
   <td style="padding:4px; padding-right: 20px"><?php echo $chC_lang['administration']['besucher_u_hits_pro_tag_leeren']; ?></td></td>
  </tr>
  <tr>
   <td style="padding:4px; padding-right: 20px"><input type="checkbox" name="browser_os" value="1"></td>
   <td style="padding:4px; padding-right: 20px"><?php echo $chC_lang['administration']['browseros_leeren']; ?></td>
  </tr>
  <tr>
   <td style="padding:4px; padding-right: 20px"><input type="checkbox" name="useragents" value="1"></td>
   <td style="padding:4px; padding-right: 20px"><?php echo $chC_lang['administration']['useragents_leeren']; ?></td>
  </tr>
  <tr>
   <td style="padding:4px; padding-right: 20px"><input type="checkbox" name="laender" value="1"></td>
   <td style="padding:4px; padding-right: 20px"><?php echo $chC_lang['administration']['laender_leeren']; ?></td>
  </tr>
  <tr>
   <td style="padding:4px; padding-right: 20px"><input type="checkbox" name="aufloesungen" value="1"></td>
   <td style="padding:4px; padding-right: 20px"><?php echo $chC_lang['administration']['aufloesungen_leeren']; ?></td>
  </tr>
  <tr>
   <td style="padding:4px; padding-right: 20px"><input type="checkbox" name="suchwoerter" value="1"></td>
   <td style="padding:4px; padding-right: 20px"><?php echo $chC_lang['administration']['suchwoerter_leeren']; ?></td>
  </tr>
  <tr>
   <td style="padding:4px; padding-right: 20px"><input type="checkbox" name="js" value="1"></td>
   <td style="padding:4px; padding-right: 20px"><?php echo $chC_lang['administration']['js_leeren']; ?></td>
  </tr>
  <tr>
   <td colspan="2"" style="padding:4px; text-align: center"><br><input type="submit" style="border: 1px solid #000000" onclick="return confirm_reset_stats(this.form)" value="<?php echo $chC_lang['administration']['leeren']; ?>"></td>
  </tr>
 </table>
 </td>
</tr>
</table>
</form>
<br>
<br>
<br>
<table border="1">
<tr>
<td style="text-align: center; padding: 5px">
<b><?php echo $chC_lang['administration']['teilweise_loeschen']; ?></b><br>
<br>
<?php if(isset($meld_specialdeletestats)) echo $meld_specialdeletestats."<br>\n<br>\n<br>\n"; ?>
<form action="" method="post" name="specialdeletestats" style="margin: 0px">
<input type="hidden" name="action" value="specialresetstats">
<table border="0">
 <tr>
  <td style="padding:4px" colspan="4">
   <br>
   <?php echo $chC_lang['administration']['alle']; ?>&nbsp;
   <select name="name" style="border: 1px solid #000000">
    <option value="referer"><?php echo $chC_lang['administration']['referers']; ?> (<?php echo $anzahl_gesamt_referer." ".$chC_lang['administration']['gesamt']; ?>)</option>
    <option value="useragents"><?php echo $chC_lang['administration']['useragents']; ?> (<?php echo $anzahl_gesamt_useragents." ".$chC_lang['administration']['gesamt']; ?>)</option>
   </select>
   <?php echo $chC_lang['administration']['mit']; ?><br>
   <br>
  </td>
 </tr>
 <tr>
  <td>
   <input type="checkbox" name="anzahl" value="1">
  </td>
  <td>
   <?php echo $chC_lang['administration']['anzahl_o_haeufigkeit']; ?>
  </td>
  <td style="padding-left: 10px">
   <select name="operand_anzahl" style="border: 1px solid #000000">
    <option value="&lt;">&lt;</option>
    <option value="=">=</option>
    <option value="&gt;">&gt;</option>">
   </select>
  </td>
  <td style="padding-left: 15px">
   <input type="text" style="border: 1px solid #000000" size="10" name="wert_anzahl" size="12">
  </td>
 </tr>
 <tr>
  <td>
   <input type="checkbox" name="zeit" value="1">
  </td>
  <td>
   <?php echo $chC_lang['administration']['letztes_vorkommen']; ?>
  </td>
  <td style="padding-left: 10px">
   <select name="operand_zeit" style="border: 1px solid #000000">
    <option value="&lt;"><?php echo $chC_lang['administration']['vor']; ?></option>
    <option value="="><?php echo $chC_lang['administration']['am']; ?></option>
    <option value="&gt;"><?php echo $chC_lang['administration']['nach']; ?></option>
   </select>
  </td>
  <td style="padding-left: 15px">
   <?php
   $tag = "<input type=\"text\" style=\"border: 1px solid #000000\" name=\"wert_zeit_tag\" value=\"".date("d")."\" size=\"2\" maxlength=\"2\">";
   $monat = "<input type=\"text\" style=\"border: 1px solid #000000\" name=\"wert_zeit_monat\" value=\"".date("m")."\" size=\"2\" maxlength=\"2\">";
   if($config['lang'] == "de")
   {
           print $tag."\n".$monat;
   }
   else
   {
           print $monat."\n".$tag;
   }
   ?>
   <input type="text" style="border: 1px solid #000000" name="wert_zeit_jahr" value="<?php echo date("Y"); ?>" size="4" maxlength="4">
   <?php
   print ($config['lang'] == "de") ? "(".$chC_lang['administration']['tag']."|".$chC_lang['administration']['monat']."|".$chC_lang['administration']['jahr'].")" : "(".$chC_lang['administration']['monat']."|".$chC_lang['administration']['tag']."|".$chC_lang['administration']['jahr'].")" ;
   ?>
  </td>
 </tr>
 <tr>
  <td colspan="4" style="text-align: center">
  <br>
   <input type="submit" style="border: 1px solid #000000" value="<?php echo $chC_lang['administration']['ok']; ?>">
  </td>
 </tr>
</table>
</form>
</td>
</tr>
</table>
<?php
}
else
{
?>
<br>
<br>
<table border="1" width="500">
<tr>
<td style="text-align: center; padding: 5px">
<b><?php echo $chC_lang['administration']['nav_konfiguration']; ?></b><br>
<br>
<?php if(isset($meld_config)) echo $meld_config."<br>\n<br>\n<br>\n";
?>
<form method="post" action="" name="counterconfig" style="margin: 0px">
<input type="hidden" name="action" value="config">
 <table border="0">
  <tr>
   <td style="padding:4px; padding-right: 20px"><?php echo $chC_lang['administration']['ipsperre']; ?></td>
   <td style="padding:4px; padding-right: 20px"><input type="text" style="border: 1px solid #000000" size="10" name="blockzeit" value="<?php echo isset($HTTP_POST_VARS['blockzeit']) ? $HTTP_POST_VARS['blockzeit'] : $config['blockzeit']; ?>" maxlength="14"></td>
  </tr>
  <tr>
   <td style="padding:4px; padding-right: 20px"><?php echo $chC_lang['administration']['useronline']; ?></td>
   <td style="padding:4px; padding-right: 20px"><input type="text" style="border: 1px solid #000000" size="10" name="user_online_fuer" value="<?php echo isset($HTTP_POST_VARS['user_online_fuer']) ? $HTTP_POST_VARS['user_online_fuer'] : $config['user_online_fuer']; ?>" maxlength="14"></td>
  </tr>
  <tr>
   <td style="padding:4px; padding-right: 20px"><?php echo $chC_lang['administration']['urlhp']; ?></td>
   <td style="padding:4px; padding-right: 20px"><input type="text" style="border: 1px solid #000000" name="url_hp" value="<?php echo isset($HTTP_POST_VARS['url_hp']) ? $HTTP_POST_VARS['url_hp'] : $config['url_hp']; ?>"></td>
  </tr>
  <tr>
   <td style="padding:4px; padding-right: 20px"><?php echo $chC_lang['administration']['verzeichnis']; ?></td>
   <td style="padding:4px; padding-right: 20px"><input type="text" style="border: 1px solid #000000" name="verzeichnis" value="<?php echo isset($HTTP_POST_VARS['verzeichnis']) ? $HTTP_POST_VARS['verzeichnis'] : $config['verzeichnis']; ?>"></td>
  </tr>
  <tr>
   <td style="padding:4px; padding-right: 20px"><?php echo $chC_lang['administration']['cookie']; ?></td>
   <td style="padding:4px; padding-right: 20px"><input type="checkbox" name="cookie" value="1" <?php if(/*(*/$config['cookie'] == "1"/* && ((isset($HTTP_POST_VARS['action']) && $HTTP_POST_VARS['action'] !== "config") || !isset($HTTP_POST_VARS['action']))) || isset($HTTP_POST_VARS['cookie'])*/) echo "checked"; ?>></td>
  </tr>
  <tr>
   <td style="padding:4px; padding-right: 20px"><?php echo $chC_lang['administration']['datum_format']; ?></td>
   <td style="padding:4px; padding-right: 20px"><input type="text" style="border: 1px solid #000000" name="datum_format" value="<?php echo isset($HTTP_POST_VARS['datum_format']) ? $HTTP_POST_VARS['datum_format'] : $config['datum_format']; ?>"></td>
  </tr>
  <tr>
   <td style="padding:4px; padding-right: 20px"><?php echo $chC_lang['administration']['zeitzone']; ?></td>
   <td style="padding:4px; padding-right: 20px">
    <select name="zeitzone" style="border: 1px solid #000000">
     <option value='-12' <?php if($config['zeitzone'] == "-12") echo "selected"; ?>>GMT - 12:00 <?php echo $chC_lang['administration']['stunden']; ?></option>
     <option value='-11' <?php if($config['zeitzone'] == "-11") echo "selected"; ?>>GMT - 11:00 <?php echo $chC_lang['administration']['stunden']; ?></option>
     <option value='-10' <?php if($config['zeitzone'] == "-10") echo "selected"; ?>>GMT - 10:00 <?php echo $chC_lang['administration']['stunden']; ?></option>
     <option value='-9' <?php if($config['zeitzone'] == "-9") echo "selected"; ?>>GMT - 9:00 <?php echo $chC_lang['administration']['stunden']; ?></option>
     <option value='-8' <?php if($config['zeitzone'] == "-8") echo "selected"; ?>>GMT - 8:00 <?php echo $chC_lang['administration']['stunden']; ?></option>
     <option value='-7' <?php if($config['zeitzone'] == "-7") echo "selected"; ?>>GMT - 7:00 <?php echo $chC_lang['administration']['stunden']; ?></option>
     <option value='-6' <?php if($config['zeitzone'] == "-6") echo "selected"; ?>>GMT - 6:00 <?php echo $chC_lang['administration']['stunden']; ?></option>
     <option value='-5' <?php if($config['zeitzone'] == "-5") echo "selected"; ?>>GMT - 5:00 <?php echo $chC_lang['administration']['stunden']; ?></option>
     <option value='-4' <?php if($config['zeitzone'] == "-4") echo "selected"; ?>>GMT - 4:00 <?php echo $chC_lang['administration']['stunden']; ?></option>
     <option value='-3.5' <?php if($config['zeitzone'] == "-3.5") echo "selected"; ?>>GMT - 3:30 <?php echo $chC_lang['administration']['stunden']; ?></option>
     <option value='-3' <?php if($config['zeitzone'] == "-3") echo "selected"; ?>>GMT - 3:00 <?php echo $chC_lang['administration']['stunden']; ?></option>
     <option value='-2' <?php if($config['zeitzone'] == "-2") echo "selected"; ?>>GMT - 2:00 <?php echo $chC_lang['administration']['stunden']; ?></option>
     <option value='-1' <?php if($config['zeitzone'] == "-1") echo "selected"; ?>>GMT - 1:00 <?php echo $chC_lang['administration']['stunde']; ?></option>
     <option value='0' <?php if($config['zeitzone'] == "0") echo "selected"; ?>>GMT </option>
     <option value='1'  <?php if($config['zeitzone'] == "1") echo "selected"; ?>>GMT + 1:00 <?php echo $chC_lang['administration']['stunde']; ?></option>
     <option value='2' <?php if($config['zeitzone'] == "2") echo "selected"; ?>>GMT + 2:00 <?php echo $chC_lang['administration']['stunden']; ?></option>
     <option value='3' <?php if($config['zeitzone'] == "3") echo "selected"; ?>>GMT + 3:00 <?php echo $chC_lang['administration']['stunden']; ?></option>
     <option value='3.5' <?php if($config['zeitzone'] == "3.5") echo "selected"; ?>>GMT + 3:30 <?php echo $chC_lang['administration']['stunden']; ?></option>
     <option value='4' <?php if($config['zeitzone'] == "4") echo "selected"; ?>>GMT + 4:00 <?php echo $chC_lang['administration']['stunden']; ?></option>
     <option value='4.5' <?php if($config['zeitzone'] == "4.5") echo "selected"; ?>>GMT + 4:30 <?php echo $chC_lang['administration']['stunden']; ?></option>
     <option value='5' <?php if($config['zeitzone'] == "5") echo "selected"; ?>>GMT + 5:00 <?php echo $chC_lang['administration']['stunden']; ?></option>
     <option value='5.5' <?php if($config['zeitzone'] == "5.5") echo "selected"; ?>>GMT + 5:30 <?php echo $chC_lang['administration']['stunden']; ?></option>
     <option value='6' <?php if($config['zeitzone'] == "6") echo "selected"; ?>>GMT + 6:00 <?php echo $chC_lang['administration']['stunden']; ?></option>
     <option value='7' <?php if($config['zeitzone'] == "7") echo "selected"; ?>>GMT + 7:00 <?php echo $chC_lang['administration']['stunden']; ?></option>
     <option value='8' <?php if($config['zeitzone'] == "8") echo "selected"; ?>>GMT + 8:00 <?php echo $chC_lang['administration']['stunden']; ?></option>
     <option value='9' <?php if($config['zeitzone'] == "9") echo "selected"; ?>>GMT + 9:00 <?php echo $chC_lang['administration']['stunden']; ?></option>
     <option value='9.5' <?php if($config['zeitzone'] == "9.5") echo "selected"; ?>>GMT + 9:30 <?php echo $chC_lang['administration']['stunden']; ?></option>
     <option value='10' <?php if($config['zeitzone'] == "10") echo "selected"; ?>>GMT + 10:00 <?php echo $chC_lang['administration']['stunden']; ?></option>
     <option value='11' <?php if($config['zeitzone'] == "11") echo "selected"; ?>>GMT + 11:00 <?php echo $chC_lang['administration']['stunden']; ?></option>
     <option value='12' <?php if($config['zeitzone'] == "12") echo "selected"; ?>>GMT + 12:00 <?php echo $chC_lang['administration']['stunden']; ?></option>
    </select>
   </td>
  </tr>
  <tr>
   <td style="padding:4px; padding-right: 20px"><?php echo $chC_lang['administration']['ignored_referers']; ?></td>
   <td style="padding:4px; padding-right: 20px"><textarea name="ignored_referers" cols="30" rows="3" style="border: 1px solid #000000"><?php echo isset($HTTP_POST_VARS['ignored_referers']) ? $HTTP_POST_VARS['ignored_referers'] : $config['ignored_referers']; ?></textarea></td>
  </tr>
  <tr>
   <td style="padding:4px; padding-right: 20px"><?php echo $chC_lang['administration']['block_bots']; ?></td>
   <td style="padding:4px; padding-right: 20px"><input type="checkbox" name="block_bots" value="1" <?php if($config['block_bots'] == "1") echo "checked"; ?>></td>
  </tr>
  <tr>
   <td style="padding:4px; padding-right: 20px"><?php echo $chC_lang['administration']['sprache']; ?></td>
   <td style="padding:4px; padding-right: 20px">
    <select name="lang" style="border: 1px solid #000000">
     <option value="de" <?php if($config['lang'] == "de") echo "selected"; ?>>Deutsch</option>
     <option value="en" <?php if($config['lang'] == "en") echo "selected"; ?>>English</option>
    </select>
   </td>
  </tr>
  <tr>
   <td colspan="2" style="padding:4px; text-align: center"><br><input type="submit"  style="border: 1px solid #000000" value="<?php echo $chC_lang['administration']['eintragen']; ?>"></td>
  </tr>
 </table>
</form>
</td>
</tr>
</table>
<br>
<br>
<?php
}
?>
</div>
<br>
<br>