<?php

/*
 **************************************
 * include/functions.inc.php
 * -------------
 * project: chCounter v2.3
 * last modified: February|27|2004
 * copyright 2003, 2004 by Christoph Bachner
 * contact: webmaster@christoph-bachner.net | www.christoph-bachner.net
 *
 **************************************
 *
 * This file is part of chCounter.
 *
 * chCounter is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * chCounter is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with chCounter; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 **************************************
*/


function chC_format_date($format, $timestamp, $zeitzone) {
         global $chC_lang;
         $datum = gmdate($format, $timestamp + (3600 * ($zeitzone + date("I"))));
         return ($chC_lang['lang'] != "en_EN") ? strtr($datum, $chC_lang['allgemein']['datum']) : $datum;
}


function chC_analyse_useragent($useragent)
{
	$useragent = trim($useragent);

	if(is_int(strpos($useragent, 'MSIE')) AND strpos($useragent, 'Opera') === FALSE)
	{
		$browser = 'MS Internet Explorer';
		if(preg_match('/MSIE (\d(\.\d)?)/', $useragent, $match))
			$browserversion = !empty($match[1]) ? $match[1] : 'unbekannt';
		else
			$browserversion = "unbekannt";
	}
         elseif(is_int(strpos($useragent, 'Firebird')) || is_int(strpos($useragent, 'Firefox'))  || is_int(strpos($useragent, 'Phoenix')))
         {
                 $browser = 'Mozilla Firefox';
         }
	elseif(preg_match("#Mozilla/5.0(.*); rv:([0-1]{1}\.[0-9]{1})(.*)Gecko#", $useragent) && strpos($useragent, 'Netscape') === FALSE)
	{
		$browser = "Mozilla";
                 if(preg_match("#rv:(\d\.\d)#", $useragent, $match))
			$browserversion = $match[1];
		else
			$browserversion = "unbekannt";
	}
	elseif(preg_match("#(Netscape|Mozilla/4.7)#", $useragent)
		&& !preg_match("#(Konqueror|Opera)#", $useragent))
	{
		$browser = "Netscape";
		if(is_int(strpos($useragent, 'Netscape/7')))
			$browserversion = "7.x";
		elseif(is_int(strpos($useragent, 'Netscape6')))
			$browserversion = "6.x";
		elseif(is_int(strpos($useragent, 'Mozilla/4')))
			$browserversion = "4.x";
		elseif(is_int(strpos($useragent, 'Mozilla/3')))
			$browserversion = "3.x";
		else
			$browserversion = "unbekannt";
	}
	elseif(preg_match("#Opera(/| )#", $useragent))
	{
		$browser = "Opera";
		if(preg_match("#Opera(/| )?(\d)#", $useragent, $match))
			$browserversion = $match[2].".x";
		else
			$browserversion = "unbekannt";
	}
	elseif(is_int(strpos($useragent, 'Lynx')))
	{
		$browser = "Lynx";
	}
	elseif(is_int(strpos($useragent, 'Konqueror')))
	{
		$browser = "Konqueror";
	}
	elseif(is_int(strpos($useragent, 'Safari')))
	{
		$browser = "Safari";
	}
	elseif(preg_match("#(Googlebot|Scooter|Slurp|Infoseek|Spider|Nutch|Blitz|Fireball|FAST|bot|Crawler)#i", $useragent))
	{
		$browser = "Suchmaschinen";
	}
	elseif(is_int(strpos($useragent, 'Galeon')))
	{
		$browser = "Galeon";
	}
	elseif(is_int(strpos($useragent, 'IBrowse')))
	{
		$browser = "IBrowse";
	}
	elseif(is_int(strpos($useragent, 'Camino')))
	{
		$browser = "Camino";
	}
	elseif(is_int(strpos($useragent, 'Voyager')))
	{
		$browser = "Voyager ";
	}
	else
	{
		$browser = "unbekannt";
	}


	if(is_int(strpos($useragent, 'Win')))
	{
		$os = "Windows";
		if(is_int(strpos($useragent, 'NT 5.1')))
			$osversion = "XP";
		elseif(is_int(strpos($useragent, 'NT 5.0')))
			$osversion = "2000";
		elseif(is_int(strpos($useragent, 'ME'))
			|| is_int(strpos($useragent, 'Win 9x 4.90')))
			$osversion = "ME";
		elseif(is_int(strpos($useragent, '98')))
			$osversion = "98";
		elseif(is_int(strpos($useragent, 'CE')))
			$osversion = "CE";
		elseif(is_int(strpos($useragent, 'NT')))
			$osversion = "NT";
		elseif(is_int(strpos($useragent, '95')))
			$osversion = "95";
		elseif(is_int(strpos($useragent, 'Windows 3.1')))
			$osversion = "3.1";
		# jetzt noch 2 seltene Flle, meist von Opera erzeugt
		elseif(is_int(strpos($useragent, 'Windows XP')))
			$osversion = "XP";
		elseif(is_int(strpos($useragent, 'Windows 2000')) || is_int(strpos($useragent, 'Win2000')))
			$osversion = "2000";
		else
			$osversion = "unbekannt";
	}
	elseif(is_int(strpos($useragent, 'Linux')))
	{
		$os = "Linux";
	}
	elseif(is_int(strpos($useragent, 'Mac')))
	{
		$os = "Mac OS";
	}
	elseif(is_int(strpos($useragent, 'SunOS')))
	{
		$os = "SunOS";
	}
	elseif(is_int(strpos($useragent, 'FreeBSD')))
	{
		$os = "FreeBSD";
	}
	elseif(is_int(strpos($useragent, 'NetBSD')))
	{
		$os = "NetBSD";
	}
	elseif(is_int(strpos($useragent, 'OpenBSD')))
	{
		$os = "OpenBSD";
	}
	elseif(is_int(strpos($useragent, 'IRIX')))
	{
		$os = "IRIX";
	}
	elseif(is_int(strpos($useragent, 'BeOS')))
	{
		$os = "BeOS";
	}
	elseif(is_int(strpos($useragent, 'OS/2')))
	{
		$os = "OS/2";
	}
	elseif(is_int(strpos($useragent, 'AIX')))
	{
		$os = "AIX";
	}
	elseif(is_int(strpos($useragent, 'Amiga')))
	{
		$os = "Amiga OS";
	}
         elseif(is_int(strpos($useragent, 'Darwin')))
	{
		$os = "Darwin";
	}
         elseif(is_int(strpos($useragent, 'HP-UX')))
	{
		$os = "HP-UX";
	}
         elseif(is_int(strpos($useragent, 'curl/')))
	{
		$os = "Curl";
	}
	else
	{
		$os = "unbekannt";
	}

	return array(
			'browser'		=> $browser,
			'browser_version'	=> isset($browserversion) ? $browserversion : false,
			'os'			=> $os,
			'os_version'		=> isset($osversion) ? $osversion : false
		);

}


?>