<?php


/*
 **************************************
 * include/functions_counter.inc.php
 * -------------
 * project: chCounter v2.3
 * last modified: February|27|2004
 * copyright by Christoph Bachner, 2003, 2004
 * contact: webmaster@christoph-bachner.net | www.christoph-bachner.net
 *
 **************************************
 *
 * This file is part of chCounter.
 *
 * chCounter is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * chCounter is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with chCounter; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 **************************************
*/


function chC_get_counter_values()
{
	# counterstand
	$GLOBALS['chC']['values'] = $GLOBALS['chC']['db']->query("SELECT besucher_gesamt,
						   besucher_heute,
						   heute_timestamp,
						   besucher_gestern,
						   max_online,
						   max_per_day,
						   hits_gesamt,
						   hits_heute,
						   hits_gestern,
						   counterstart,
						   besucher_seit_counterstart,
						   hits_seit_counterstart
		      				FROM `".$GLOBALS['chC']['dbconfig']['table_data']."`");
	$GLOBALS['chC']['values'] = $GLOBALS['chC']['db']->fetch_assoc($GLOBALS['chC']['values']);

	$temp = $GLOBALS['chC']['db']->query("SELECT nr, hits FROM `".$GLOBALS['chC']['dbconfig']['table_blockedusers']."` WHERE ((ip = '".$GLOBALS['chC']['env']['ip']."') OR (ip LIKE '".substr($GLOBALS['chC']['env']['ip'], 0,6)."%' AND useragent = '".$GLOBALS['chC']['env']['useragent']."')) AND zeit >= ".(time()-$GLOBALS['chC']['config']['blockzeit'])." ORDER BY zeit DESC LIMIT 0,1");
	$temp = $GLOBALS['chC']['db']->fetch_assoc($temp);
	if(!empty($temp['nr']))
	{
		$GLOBALS['chC']['values']['besucher_nr'] = $temp['nr'];
		$GLOBALS['chC']['values']['userhits'] = $temp['hits']+1;
	}
	else
	{
		$GLOBALS['chC']['values']['userhits'] = 1;
		$GLOBALS['chC']['values']['besucher_nr'] = $GLOBALS['chC']['values']['besucher_gesamt']+1;
	}

	if($GLOBALS['chC']['values']['heute_timestamp'] < $GLOBALS['chC']['variables']['zeit_zu_tagesanfang'])
	{
		$GLOBALS['chC']['db']->query("UPDATE `".$GLOBALS['chC']['dbconfig']['table_data']."` SET besucher_gestern = besucher_heute,
									     besucher_heute = 0,
									     heute_timestamp = ".$GLOBALS['chC']['variables']['zeit_zu_tagesanfang'].",
									     hits_gestern = hits_heute,
									     hits_heute = 0");
		$GLOBALS['chC']['values']['besucher_gestern'] = $GLOBALS['chC']['values']['besucher_heute'];
		$GLOBALS['chC']['values']['besucher_heute'] = 0;
		$GLOBALS['chC']['values']['hits_gestern'] = $GLOBALS['chC']['values']['hits_heute'];
		$GLOBALS['chC']['values']['hits_heute'] = 0;
	}
	$page_hits = $GLOBALS['chC']['db']->query("SELECT anzahl FROM `".$GLOBALS['chC']['dbconfig']['table_pages']."` WHERE seite = '".$GLOBALS['chC']['env']['seite']."'");
	$page_hits = $GLOBALS['chC']['db']->fetch_assoc($page_hits);
	$GLOBALS['chC']['values']['page_hits'] = (empty($page_hits['anzahl'])) ? 0 : $page_hits['anzahl'];
}



function chC_manage_blocked_users_and_logs()
{
	# logs
	if($GLOBALS['chC']['config']['eintraege_loeschen_nach'] != "0")
		$GLOBALS['chC']['db']->query("DELETE FROM `".$GLOBALS['chC']['dbconfig']['table_log_data']."` WHERE zeit < '".(time()-$GLOBALS['chC']['config']['eintraege_loeschen_nach'])."'");

	# blocks
	$GLOBALS['chC']['db']->query("DELETE FROM `".$GLOBALS['chC']['dbconfig']['table_blockedusers']."` WHERE zeit < ".(time()-$GLOBALS['chC']['config']['blockzeit']));
	$blocked = $GLOBALS['chC']['db']->query("SELECT ip FROM `".$GLOBALS['chC']['dbconfig']['table_blockedusers']."` WHERE (ip = '".$GLOBALS['chC']['env']['ip']."') OR (ip LIKE '".substr($GLOBALS['chC']['env']['ip'], 0,6)."%' AND useragent = '".$GLOBALS['chC']['env']['useragent']."')");
	$blocked = $GLOBALS['chC']['db']->fetch_assoc($blocked);
	if(isset($blocked['ip']) || $GLOBALS['chC']['env']['admin_ip'] == $GLOBALS['chC']['env']['ip'])
	{
		$GLOBALS['chC']['variables']['blocked'] = true;
		$GLOBALS['chC']['db']->query("UPDATE `".$GLOBALS['chC']['dbconfig']['table_blockedusers']."` SET zeit = '".time()."' WHERE (ip = '".$GLOBALS['chC']['env']['ip']."') OR (ip LIKE '".substr($GLOBALS['chC']['env']['ip'], 0,6)."%' AND useragent = '".$GLOBALS['chC']['env']['useragent']."')");
	}
}



function chC_manage_online_users()
{
	$GLOBALS['chC']['db']->query("DELETE FROM `".$GLOBALS['chC']['dbconfig']['table_onlineusers']."` WHERE zeit < '".(time()-$GLOBALS['chC']['config']['user_online_fuer'])."'");
	if($GLOBALS['chC']['config']['status'] !== "inactive")
	{
		$GLOBALS['chC']['db']->query("DELETE FROM `".$GLOBALS['chC']['dbconfig']['table_onlineusers']."` WHERE nr =".$GLOBALS['chC']['values']['besucher_nr']);
		$GLOBALS['chC']['db']->query("INSERT INTO `".$GLOBALS['chC']['dbconfig']['table_onlineusers']."` (nr, ip, useragent, zeit, seite, hits)
										     VALUES
										     ('".$GLOBALS['chC']['values']['besucher_nr']."', '".$GLOBALS['chC']['env']['ip']."', '".$GLOBALS['chC']['env']['useragent']."', '".time()."', '".$GLOBALS['chC']['env']['seite']."', '".$GLOBALS['chC']['values']['userhits']."')");
	}

	$GLOBALS['chC']['db']->query("SELECT ip FROM `".$GLOBALS['chC']['dbconfig']['table_onlineusers']."`");
         $GLOBALS['chC']['values']['user_online'] = $GLOBALS['chC']['db']->num_rows();
	if($GLOBALS['chC']['values']['user_online'] > $GLOBALS['chC']['values']['max_online'])
	{
		$GLOBALS['chC']['db']->query("UPDATE `".$GLOBALS['chC']['dbconfig']['table_data']."` SET max_online='".$GLOBALS['chC']['values']['user_online']."', max_online_datum = '".time()."'");
		$GLOBALS['chC']['values']['max_online'] = $GLOBALS['chC']['values']['user_online'];
	}

	if($GLOBALS['chC']['env']['mode'] !== "js")
	{
		$cr_ = explode(",", $GLOBALS['chC']['variables']['cr']);
		$cr = '';
		for($i=0; $i<count($cr_); $i++)
		{
			$cr .= chr($cr_[$i]);
		}
		print $cr."\n";
	}
}



function chC_count_log_block_user()
{
	# count
	$GLOBALS['chC']['values']['besucher_gesamt'] = $GLOBALS['chC']['values']['besucher_gesamt']+1;
	$GLOBALS['chC']['values']['besucher_heute'] = $GLOBALS['chC']['values']['besucher_heute']+1;
	$GLOBALS['chC']['values']['besucher_seit_counterstart'] = $GLOBALS['chC']['values']['besucher_seit_counterstart']+1;
	$GLOBALS['chC']['db']->query("UPDATE `".$GLOBALS['chC']['dbconfig']['table_data']."` SET besucher_gesamt = besucher_gesamt+1,
					 			     besucher_heute = besucher_heute+1,
								     besucher_hits_pro_besucher = (besucher_hits_pro_besucher)+1,
								     besucher_seit_counterstart = (besucher_seit_counterstart)+1");

	if($GLOBALS['chC']['values']['besucher_heute'] > $GLOBALS['chC']['values']['max_per_day'])
	{
		$GLOBALS['chC']['db']->query("UPDATE `".$GLOBALS['chC']['dbconfig']['table_data']."` SET max_per_day = besucher_heute, max_per_day_datum = '".time()."'");
		$GLOBALS['chC']['values']['max_per_day'] = $GLOBALS['chC']['values']['besucher_heute'];
	}

	# log
	$GLOBALS['chC']['db']->query("INSERT INTO `".$GLOBALS['chC']['dbconfig']['table_log_data']."` (nr, ip, host, useragent, zeit, referer)
									  VALUES
									  ('".$GLOBALS['chC']['values']['besucher_gesamt']."', '".$GLOBALS['chC']['env']['ip']."', '".$GLOBALS['chC']['env']['host']."', '".$GLOBALS['chC']['env']['useragent']."', '".time()."', '".$GLOBALS['chC']['env']['referer']."')");

	# block
	$GLOBALS['chC']['db']->query("INSERT INTO `".$GLOBALS['chC']['dbconfig']['table_blockedusers']."` (nr, ip, useragent, zeit) values ('".$GLOBALS['chC']['values']['besucher_gesamt']."', '".$GLOBALS['chC']['env']['ip']."', '".$GLOBALS['chC']['env']['useragent']."', '".time()."')");
	$GLOBALS['chC']['variables']['new_block'] = TRUE;
}




function chC_stat_tageszeit_wochentag()
{
	$GLOBALS['chC']['db']->query("UPDATE `".$GLOBALS['chC']['dbconfig']['table_access']."`
			 SET besucher = besucher +1
			WHERE
			 was LIKE '%tageszeit\_".(gmdate('H', time() + (3600 * ($GLOBALS['chC']['config']['zeitzone'] + date("I")))))."%'
			 OR
			 was LIKE '%tag\_".(gmdate('D', time() + (3600 * ($GLOBALS['chC']['config']['zeitzone'] + date("I")))))."%'");
}




function chC_stat_referer()
{
	trim($GLOBALS['chC']['env']['referer']);
	if(empty($GLOBALS['chC']['env']['referer']))
		return;

         $refdomain = parse_url($GLOBALS['chC']['env']['referer']);
         $refdomain = isset($refdomain['host']) ? $refdomain['host'] : '';

	if(!empty($GLOBALS['chC']['config']['ignored_referers']))
	{
		if(is_int(strpos($GLOBALS['chC']['config']['ignored_referers'], preg_replace('/^www\./', '', $refdomain))))
			return;
	}

	if(is_int(strpos($GLOBALS['chC']['env']['referer'], preg_replace('#^(http://www\.|www\.)#', '', $GLOBALS['chC']['config']['url_hp'])))
		|| preg_match('/^(XXXX:\+\+\+\+|undefined)$/', $GLOBALS['chC']['env']['referer']))
	{
		return;
	}

         /*
	if(!empty($GLOBALS['chC']['config']['ignored_referers']))
	{
		$ignored_refs = explode(',', $GLOBALS['chC']['config']['ignored_referers']);
		foreach($ignored_refs as $ref)
		{
			if(preg_match('#'.preg_quote(str_replace('http://', '', trim($ref)), '#').'#', $GLOBALS['chC']['env']['referer']))
				return;
		}
	}



	if(trim($GLOBALS['chC']['env']['referer']) == ""
		|| preg_match('/^(XXXX:\+\+\+\+|undefined)$/', $GLOBALS['chC']['env']['referer'])
		|| preg_match('#'.preg_quote(str_replace('www', '', $refdomain), '#').'#', $GLOBALS['chC']['config']['url_hp']))
	{
		return;
	}
	*/


	$select = $GLOBALS['chC']['db']->query("SELECT was FROM `".$GLOBALS['chC']['dbconfig']['table_referers']."` WHERE (referer = '".$GLOBALS['chC']['env']['referer']."') OR (referer = '".$refdomain."')");
	$select = $GLOBALS['chC']['db']->fetch_assoc($select, 'multiple');
	$updatewhere = "";
	$insertwhat = "";
	for($i = 0; $i < count($select); $i++)
	{
		$what = ($select[$i]['was'] == "domain") ? $refdomain : $GLOBALS['chC']['env']['referer'];
		$updatewhere .= (empty($updatewhere)) ? "(was = '".$select[$i]['was']."' AND referer = '".$what."')" : " OR (was = '".$select[$i]['was']."' AND referer = '".$what."')";
		if($select[$i]['was'] == "domain")
		{
			$rd = true;
		}
		else
		{
			$r = true;
		}
	}
	if(!empty($updatewhere))
		$GLOBALS['chC']['db']->query("UPDATE `".$GLOBALS['chC']['dbconfig']['table_referers']."` SET datum = '".time()."', anzahl = anzahl+1 WHERE $updatewhere");
	if(!isset($rd) && !empty($refdomain))
		$insertwhat .= "('domain', '$refdomain', '".time()."', '1')";
	if(!isset($r))
	{
         	$insertwhat .= empty($insertwhat)
			       	? "('referer', '".$GLOBALS['chC']['env']['referer']."', ".time().", 1)"
				: ", ('referer', '".$GLOBALS['chC']['env']['referer']."', ".time().", 1)";
	}
	if(!empty($insertwhat))
		$GLOBALS['chC']['db']->query("INSERT INTO `".$GLOBALS['chC']['dbconfig']['table_referers']."` (was, referer, datum, anzahl) VALUES $insertwhat");
}




function chC_stat_country()
{
	$usersprache = explode(",", $GLOBALS['chC']['env']['http_accept_language']);
	$usersprache = explode(";", $usersprache[0]);
	if(strlen($usersprache[0]) == "5")
	{
		$country = substr($usersprache[0], 3, 2);
	}
	elseif(strlen($usersprache[0]) == "2")
	{
		$country = $usersprache[0];
	}
	else
	{
		$country = "unbekannt";
	}
	$country = strtolower($country);
	$GLOBALS['chC']['db']->query("UPDATE `".$GLOBALS['chC']['dbconfig']['table_countries']."` SET anzahl=anzahl+1 WHERE (land='".$country."') OR (land = 'gesamt')");
}



function chC_stat_useragent()
{
	if(trim($GLOBALS['chC']['env']['useragent']) == '')
		return;

	$useragent_info = chC_analyse_useragent($GLOBALS['chC']['env']['useragent']);

        	$data = $GLOBALS['chC']['db']->query("SELECT was, typ FROM `".$GLOBALS['chC']['dbconfig']['table_useragents']."`
						WHERE
							( was = 'useragent' AND typ = '".$GLOBALS['chC']['env']['useragent']."' )
						OR	( was = 'browser' AND typ = '".$useragent_info['browser']."' )
						".( ($useragent_info['browser_version'] == true) ? "OR	( was = 'version' AND typ = '".$useragent_info['browser']."~".$useragent_info['browser_version']."' )" : '')."
						OR	( was = 'os' 	AND typ = '".$useragent_info['os']."' )
						".( ($useragent_info['os_version'] == true) ? "OR	( was = 'version' AND typ = '".$useragent_info['os']."~".$useragent_info['os_version']."' )" : '') );


	if($GLOBALS['chC']['db']->num_rows() == 5)
	{
		$GLOBALS['chC']['db']->query("UPDATE `".$GLOBALS['chC']['dbconfig']['table_useragents']."`
						SET
						 datum = ".time().",
						 anzahl = anzahl + 1
                                                 WHERE
							( was = 'useragent' AND typ = '".$GLOBALS['chC']['env']['useragent']."' )
						OR	( was = 'browser' AND typ = '".$useragent_info['browser']."' )
						".( ($useragent_info['browser_version'] == true) ? "OR	( was = 'version' AND typ = '".$useragent_info['browser']."~".$useragent_info['browser_version']."' )" : '')."
						OR	( was = 'os' 	AND typ = '".$useragent_info['os']."' )
						".( ($useragent_info['os_version'] == true) ? "OR	( was = 'version' AND typ = '".$useragent_info['os']."~".$useragent_info['os_version']."' )" : '') );
		return;
	}


	while($row = $GLOBALS['chC']['db']->fetch_assoc($data))
	{
		if($row['was'] == 'useragent')
		{
			$useragent_in_db = true;
		}
                 elseif($row['was'] == 'browser')
		{
			$browser_in_db = true;
		}
		elseif($useragent_info['browser_version'] == true && $row['typ'] == $useragent_info['browser']."~".$useragent_info['browser_version'])
		{
			$browserversion_in_db = true;
		}
		elseif($row['was'] == 'os')
		{
			$os_in_db = true;
		}
		elseif($useragent_info['os_version'] == true && $row['typ'] == $useragent_info['os']."~".$useragent_info['os_version'])
		{
			$osversion_in_db = true;
		}
	}

	$insert_what = '';
	$update_where = '';


	if(isset($useragent_in_db))
	{
		$update_where .= "( was = 'useragent' AND typ = '".$GLOBALS['chC']['env']['useragent']."' )";
	}
	else
	{
		$insert_what .= "( 'useragent', '".$GLOBALS['chC']['env']['useragent']."', ".time().", 1 )";
	}


         if(isset($browser_in_db))
	{
		$update_where .= empty($update_where)
					? "( was = 'browser' AND typ = '".$useragent_info['browser']."' )"
                                         : " OR ( was = 'browser' AND typ = '".$useragent_info['browser']."' )";
	}
	else
	{
		$insert_what .= empty($insert_what)
					? "( 'browser', '".$useragent_info['browser']."', ".time().", 1 )"
                                         : ", ( 'browser', '".$useragent_info['browser']."', ".time().", 1 )";
	}

         if($useragent_info['browser_version'] == true)
	{
		if(isset($browserversion_in_db))
		{
			$update_where .= empty($update_where)
						? "( was = 'version' AND typ = '".$useragent_info['browser']."~".$useragent_info['browser_version']."' )"
	                                         : " OR ( was = 'version' AND typ = '".$useragent_info['browser']."~".$useragent_info['browser_version']."' )";
		}
		else
		{
			$insert_what .= empty($insert_what)
						? "('version', '".$useragent_info['browser']."~".$useragent_info['browser_version']."', ".time().", 1 )"
	                                         : ", ('version', '".$useragent_info['browser']."~".$useragent_info['browser_version']."', ".time().", 1 )";
		}
	}


         if(isset($os_in_db))
	{
		$update_where .= empty($update_where)
					? "( was = 'os' AND typ = '".$useragent_info['os']."' )"
                                         : " OR ( was = 'os' AND typ = '".$useragent_info['os']."' )";
         }
	else
	{
		$insert_what .= empty($insert_what)
					? "( 'os', '".$useragent_info['os']."', ".time().", 1 )"
                                         : ", ( 'os', '".$useragent_info['os']."', ".time().", 1 )";
	}

         if($useragent_info['os_version'] == true)
	{
		if(isset($osversion_in_db))
		{
			$update_where .= empty($update_where)
						? "( was = 'version' AND typ = '".$useragent_info['os']."~".$useragent_info['os_version']."' )"
	                                         : " OR ( was = 'version' AND typ = '".$useragent_info['os']."~".$useragent_info['os_version']."' )";
		}
		else
		{
			$insert_what .= empty($insert_what)
						? "('version', '".$useragent_info['os']."~".$useragent_info['os_version']."', ".time().", 1 )"
	                                         : ", ('version', '".$useragent_info['os']."~".$useragent_info['os_version']."', ".time().", 1 )";
		}
	}



         if(!empty($insert_what))
	{
		$GLOBALS['chC']['db']->query("INSERT INTO `".$GLOBALS['chC']['dbconfig']['table_useragents']."`
						(was, typ, datum, anzahl)
						VALUES
						 ".$insert_what );
	}
	if(!empty($update_where))
	{
		$GLOBALS['chC']['db']->query("UPDATE `".$GLOBALS['chC']['dbconfig']['table_useragents']."`
						SET
						 datum = ".time().",
						 anzahl = anzahl + 1
						WHERE
						 ".$update_where);
	}


	/*
	$weitere_updates = '';
	$query = $GLOBALS['chC']['db']->query("SELECT anzahl FROM `".$GLOBALS['chC']['dbconfig']['table_useragents']."` WHERE was = 'useragent' AND typ = '".$GLOBALS['chC']['env']['useragent']."'");
	$query = $GLOBALS['chC']['db']->fetch_assoc($query);
	if($query['anzahl'] == false)
	{
		$useragentquery = $GLOBALS['chC']['db']->query("INSERT INTO `".$GLOBALS['chC']['dbconfig']['table_useragents']."` (was, typ, datum, anzahl) values ('useragent', '".$GLOBALS['chC']['env']['useragent']."', '".time()."', '1')");
	}
	else
	{
		$weitere_updates .= " OR (was='useragent' AND typ='".$GLOBALS['chC']['env']['useragent']."')";
	}

	if(isset($useragent_info['browserversion']))
	{
		$weitere_updates .= " OR (was='version' AND typ='".$useragent_info['browser']."~".$useragent_info['browserversion']."')";
	}
	if(isset($useragent_info['osversion']))
	{
		$weitere_updates .= " OR (was='version' AND typ='".$useragent_info['os']."~".$useragent_info['osversion']."')";
	}

	$GLOBALS['chC']['db']->query("UPDATE `".$GLOBALS['chC']['dbconfig']['table_useragents']."` set anzahl=anzahl+1, datum = '".time()."' WHERE (typ='".$useragent_info['browser']."' AND was='browser')
														       OR (was='os' AND typ='".$useragent_info['os']."')
														       $weitere_updates");
	*/
}



function chC_stat_tages_monats_besuche()
{
	$select = $GLOBALS['chC']['db']->query("SELECT was FROM `".$GLOBALS['chC']['dbconfig']['table_access']."` WHERE (was = 'tag' AND timestamp = '".$GLOBALS['chC']['variables']['zeit_zu_tagesanfang']."') OR (was = 'monat' AND timestamp = '".$GLOBALS['chC']['variables']['zeit_zu_monatsanfang']."')");
	$select = $GLOBALS['chC']['db']->fetch_assoc($select, 'multiple');
	for($i = 0; $i < count($select); $i++)
	{
		if($select[$i]['was'] == "monat")
		{
			$monat = TRUE;
		}
		elseif($select[$i]['was'] == "tag")
		{
			$tag = TRUE;
		}
	}
	if(!isset($monat) && $GLOBALS['chC']['config']['activate_monate'] == "1")
		$insert_values = "('monat', '".$GLOBALS['chC']['variables']['zeit_zu_monatsanfang']."', '0', '0')";
	if(!isset($tag) && $GLOBALS['chC']['config']['activate_tage'] == "1")
	{
		if(isset($insert_values))
		{
			$insert_values .=" , ";
		}
		else
		{
			settype($insert_values, "string");
		}
		$insert_values .= "('tag', '".$GLOBALS['chC']['variables']['zeit_zu_tagesanfang']."', '0', '0')";
	}
	if(isset($insert_values))
		$GLOBALS['chC']['db']->query("INSERT INTO `".$GLOBALS['chC']['dbconfig']['table_access']."` (was, timestamp, besucher, hits) VALUES $insert_values");
	if($GLOBALS['chC']['config']['activate_monate'] == "1" || $GLOBALS['chC']['config']['activate_tage'] == "1")
		$GLOBALS['chC']['db']->query("UPDATE `".$GLOBALS['chC']['dbconfig']['table_access']."` SET besucher = besucher+1 WHERE (was = 'monat' AND timestamp = '".$GLOBALS['chC']['variables']['zeit_zu_monatsanfang']."') OR (was = 'tag' AND timestamp = '".$GLOBALS['chC']['variables']['zeit_zu_tagesanfang']."')");
}



function chC_stat_resolution()
{
	if($GLOBALS['chC']['env']['mode'] == "js")
	{
		if(!isset($GLOBALS['chC']['env']['aufloesung']))
			return;

		$GLOBALS['chC']['db']->query("UPDATE `".$GLOBALS['chC']['dbconfig']['table_resolutions']."` SET anzahl = anzahl+1 WHERE aufloesung = '".$GLOBALS['chC']['env']['aufloesung']."'");
		if($GLOBALS['chC']['db']->affected_rows() == 0)
			$GLOBALS['chC']['db']->query("INSERT INTO `".$GLOBALS['chC']['dbconfig']['table_resolutions']."` (aufloesung, anzahl) VALUES ('".$GLOBALS['chC']['env']['aufloesung']."', '1')");
	}
	else
	{
		$GLOBALS['chC']['variables']['stat_resolution'] = TRUE;
	}
}



function chC_stat_js()
{
	if($GLOBALS['chC']['env']['mode'] == 'js')
	{
		$GLOBALS['chC']['db']->query("UPDATE `".$GLOBALS['chC']['dbconfig']['table_data']."` SET js_alle = js_alle+1, js_aktiv = js_aktiv+1");
	}
	else
	{
		$GLOBALS['chC']['db']->query("UPDATE `".$GLOBALS['chC']['dbconfig']['table_data']."` SET js_alle = js_alle+1");
		$GLOBALS['chC']['variables']['stat_js'] =  TRUE;
	}
}



function chC_stat_suchwoerter()
{
	if(empty($GLOBALS['chC']['env']['referer']))
		return;

	$url_data = parse_url($GLOBALS['chC']['env']['referer']);

	if(!isset($url_data['query']))
		return;

	if(preg_match("/google/", $url_data['host']))
	{
		$query_var_name = "q";
		$url_data['query'] = str_replace(
				     			array("%C3%A4", "%C3%84", "%C3%B6", "%C3%96", "%C3%BC", "%C3%9C", "%C3%9F"),  # 
							array("%E4", "%C4", "%F6", "%D6", "%FC", "%DC", "%DF"),
				     	$url_data['query']
				     );
         }
	elseif(preg_match("/yahoo/", $url_data['host']))
		$query_var_name = "p";
	elseif(preg_match("/hotbot.com/", $url_data['host']))
		$query_var_name = "query";
	elseif(preg_match("/lycos/", $url_data['host']))
		$query_var_name = "query";
	elseif(preg_match("/alltheweb.com/", $url_data['host']))
		$query_var_name = "q";
	elseif(preg_match("/altavista.com/", $url_data['host']))
		$query_var_name = "q";
	elseif(preg_match("/search.com/", $url_data['host']))
		$query_var_name = "q";
	elseif(preg_match("/web.de/", $url_data['host']))
		$query_var_name = "su";
	elseif(preg_match("/fireball.de/", $url_data['host']))
		$query_var_name = "q";
	elseif(preg_match("/search.msn/", $url_data['host']))
		$query_var_name = "q";
	elseif(preg_match("/suche.aol/", $url_data['host']))
		$query_var_name = "q";
	elseif(preg_match("/search.aol/", $url_data['host']))
		$query_var_name = "query";

	if(!isset($query_var_name))
		return;

	parse_str($url_data['query']);

	if(!isset($$query_var_name))
		return;

	$suchwoerter = htmlentities(urldecode(rawurldecode($$query_var_name)));

	if(empty($suchwoerter))
		return;

	$GLOBALS['chC']['db']->query("UPDATE `".$GLOBALS['chC']['dbconfig']['table_searchwords']."` SET anzahl = anzahl+1, datum = ".time()." WHERE suchwoerter = '$suchwoerter'");
	if($GLOBALS['chC']['db']->affected_rows() == 0)
		$query = $GLOBALS['chC']['db']->query("INSERT INTO `".$GLOBALS['chC']['dbconfig']['table_searchwords']."` (suchwoerter, anzahl, datum) VALUES ('$suchwoerter', 1, ".time().")");
}



function chC_stat_hits()
{
	$action_to_do = substr(md5($GLOBALS['chC']['variables']['cr']), 0, 5);
	if(!isset($GLOBALS['chC']['variables']['new_block']))
	{
		$select = $GLOBALS['chC']['db']->query("SELECT was FROM `".$GLOBALS['chC']['dbconfig']['table_access']."` WHERE (was = 'tag' AND timestamp = '".$GLOBALS['chC']['variables']['zeit_zu_tagesanfang']."') OR (was = 'monat' AND timestamp = '".$GLOBALS['chC']['variables']['zeit_zu_monatsanfang']."')");
		$select = $GLOBALS['chC']['db']->fetch_assoc($select, 'multiple');
		for($i = 0; $i < count($select); $i++)
		{
			if($select[$i]['was'] == "monat")
			{
				$monat = TRUE;
			}
			elseif($select[$i]['was'] == "tag")
			{
				$tag = TRUE;
			}
		}

		if(!isset($monat) && $GLOBALS['chC']['config']['activate_monate'] == "1")
			$insert_values = "('monat', '".$GLOBALS['chC']['variables']['zeit_zu_monatsanfang']."', '0', '0')";

		if(!isset($tag) && $GLOBALS['chC']['config']['activate_tage'] == "1")
		{
			if(isset($insert_values))
			{
				$insert_values .= " , ";
			}
			else
			{
					settype($insert_values, "string");
			}
			$insert_values .= "('tag', '".$GLOBALS['chC']['variables']['zeit_zu_tagesanfang']."', '0', '0')";
		}
		if(isset($insert_values))
			$GLOBALS['chC']['db']->query("INSERT INTO `".$GLOBALS['chC']['dbconfig']['table_access']."` (was, timestamp, besucher, hits) VALUES $insert_values");
	}
	if($GLOBALS['chC']['config']['activate_monate'] == "1" || $GLOBALS['chC']['config']['activate_tage'] == "1")
		$GLOBALS['chC']['db']->query("UPDATE `".$GLOBALS['chC']['dbconfig']['table_access']."` SET hits = hits+1 WHERE (was = 'monat' AND timestamp = '".$GLOBALS['chC']['variables']['zeit_zu_monatsanfang']."') OR (was = 'tag' AND timestamp = '".$GLOBALS['chC']['variables']['zeit_zu_tagesanfang']."')");

	if(empty($GLOBALS['chC']['variables']['cr']))
		die("don't touch the copyright!");

	$GLOBALS['chC']['db']->query("UPDATE `".$GLOBALS['chC']['dbconfig']['table_data']."` SET hits_gesamt = hits_gesamt+1,
								     hits_heute = hits_heute+1,
								     hits_hits_pro_besucher = (hits_hits_pro_besucher)+1,
								     hits_seit_counterstart = hits_seit_counterstart+1");
	$GLOBALS['chC']['values']['hits_heute'] = $GLOBALS['chC']['values']['hits_heute']+1;
	$GLOBALS['chC']['values']['hits_seit_counterstart'] = $GLOBALS['chC']['values']['hits_seit_counterstart']+1;
	$GLOBALS['chC']['values']['hits_gesamt'] = $GLOBALS['chC']['values']['hits_gesamt']+1;

	if($action_to_do != "1e47f" && $action_to_do != "ddfc0")
		$GLOBALS['chC']['values']['besucher_gesamt'] = "f"."u"."cki"."ng "."l"."am"."er";
	$GLOBALS['chC']['db']->query("UPDATE `".$GLOBALS['chC']['dbconfig']['table_log_data']."` SET hits=hits+1, seiten = CONCAT(seiten, '".$GLOBALS['chC']['env']['seite']."|".time()."|__|') WHERE nr='".$GLOBALS['chC']['values']['besucher_nr']."'");
	$GLOBALS['chC']['db']->query("UPDATE `".$GLOBALS['chC']['dbconfig']['table_blockedusers']."` SET hits=hits+1 WHERE nr='".$GLOBALS['chC']['values']['besucher_nr']."'");
}



function chC_stat_seiten()
{
	if(!empty($GLOBALS['chC']['env']['seite']))
	{
                 if(!empty($GLOBALS['chC']['env']['seitentitel']))
                 {
                         $titel = $GLOBALS['chC']['env']['seitentitel'];
                 }
		elseif($GLOBALS['chC']['config']['stats_seiten_search_title'] == "1")
		{
			#$file = ($GLOBALS['chC']['env']['mode'] != "js") ? $GLOBALS['chC']['env']['path_translated'] : $GLOBALS['chC']['config']['url_hp'].$GLOBALS['chC']['env']['seite'];
			$file = ($GLOBALS['chC']['env']['mode'] != "js") ? getenv("DOCUMENT_ROOT").$GLOBALS['chC']['env']['php_self'] : $GLOBALS['chC']['config']['url_hp'].$GLOBALS['chC']['env']['seite'];
			$file = @implode('', @file($file));
			if($file == TRUE)
			{
				$begin = strpos($file, "<!--<chCounter_title>");
				$ende = strpos($file, "</chCounter_title>-->");
				if(is_int($begin) && $ende == TRUE)
				{
					$titel = substr($file, $begin+21, $ende-($begin+21));
				}
				elseif(is_int(strpos($file, "<title>")) && strpos($file, "</title>"))
				{
					$begin = strpos($file, "<title>");
					$ende = strpos($file, "</title>");
					$titel = substr($file, $begin+7, $ende-($begin+7));
				}
			}
		}

		$GLOBALS['chC']['db']->query("UPDATE `".$GLOBALS['chC']['dbconfig']['table_pages']."` SET anzahl=anzahl+1, datum = '".time()."' ".(isset($titel) ? ", titel = '".addslashes($titel)."'" : '')." WHERE seite='".$GLOBALS['chC']['env']['seite']."'");
		if($GLOBALS['chC']['db']->affected_rows() == 0)
			$GLOBALS['chC']['db']->query("INSERT INTO `".$GLOBALS['chC']['dbconfig']['table_pages']."` (seite, titel, datum, anzahl) values ('".$GLOBALS['chC']['env']['seite']."', '".(isset($titel) ? addslashes($titel) : '')."', '".time()."', '1')");

		$GLOBALS['chC']['values']['page_hits'] = $GLOBALS['chC']['values']['page_hits']+1;
	}
}



function chC_print()
{
	if($GLOBALS['chC']['config']['status'] == "inactive" && $GLOBALS['chC']['env']['mode'] !== "js")
		print("<!-- chCounter2: inactive -->\n");


	if(isset($GLOBALS['chC']['variables']['stat_resolution']) || isset($GLOBALS['chC']['variables']['stat_js']))
	{
		$outp = "<!-- begin chCounter2 additional statistics -->\n<script type=\"text/javascript\">\n//<!--\ndocument.write(\"<script type=\\\"text/javascript\\\" src=\\\"http://".$GLOBALS['chC']['env']['server_name'].$GLOBALS['chC']['config']['verzeichnis']."/additional.php?";
		$query = isset($GLOBALS['chC']['variables']['stat_resolution']) ? "res_width=\" + screen.width + \"&res_height=\" + screen.height + \"" : '';
	         if(isset($GLOBALS['chC']['variables']['stat_js']))
			$query .= empty($query) ? 'js=true' : '&js=true';
		$outp .= $query."\\\"></\" + \"script>\");\n//-->\n</script>\n<!-- end chCounter2 additional statistics -->\n";
		print $outp;
	}


	if($GLOBALS['chC']['config']['visibility'] !== "0")
	{
		$tpl = &new chCounter_template($GLOBALS['chC']['env']['serverpfad']."/templates/counter.tpl.htm");

		if(!empty($GLOBALS['chC']['variables']['chCounter_template']))
			$tpl->import_template($GLOBALS['chC']['variables']['chCounter_template']);


		$dec_seperator = ($GLOBALS['chC']['config']['lang'] == "de") ? "," : "." ;
		$thousands_seperator = ($GLOBALS['chC']['config']['lang'] == "de") ? "." : ".";

		$laufzeit = (time() - $GLOBALS['chC']['values']['counterstart']) / 86400;
		$laufzeit = ($laufzeit < 1 ) ? 1 : $laufzeit;
		$besucher_pro_tag = number_format(round(($GLOBALS['chC']['values']['besucher_seit_counterstart'] / $laufzeit), 2), "2", $dec_seperator, $thousands_seperator);
		$hits_pro_tag = number_format(round(($GLOBALS['chC']['values']['hits_seit_counterstart'] / $laufzeit), 2), "2", $dec_seperator, $thousands_seperator);

		$tpl->assign("TOTAL_VISITORS", $GLOBALS['chC']['values']['besucher_gesamt']);
		$tpl->assign("VISITORS_TODAY", $GLOBALS['chC']['values']['besucher_heute']);
		$tpl->assign("VISITORS_YESTERDAY", $GLOBALS['chC']['values']['besucher_gestern']);
		$tpl->assign("VISITORS_PER_DAY", $besucher_pro_tag);
		$tpl->assign("VISITORS_ONLINE", $GLOBALS['chC']['values']['user_online']);
		$tpl->assign("VISITORS_MAX_ONLINE", $GLOBALS['chC']['values']['max_online']);
		$tpl->assign("VISITORS_MAX_PER_DAY", $GLOBALS['chC']['values']['max_per_day']);
		$tpl->assign("TOTAL_PAGEVIEWS", $GLOBALS['chC']['values']['hits_gesamt']);
		$tpl->assign("PAGEVIEWS_TODAY", $GLOBALS['chC']['values']['hits_heute']);
		$tpl->assign("PAGEVIEWS_YESTERDAY", $GLOBALS['chC']['values']['hits_gestern']);
		$tpl->assign("PAGEVIEWS_PER_DAY", $hits_pro_tag);
		$tpl->assign("PAGEVIEWS_THIS_PAGE", $GLOBALS['chC']['values']['page_hits']);
		$tpl->assign("ONLINEUSERS_PAGE", "http://".$GLOBALS['chC']['env']['server_name'].$GLOBALS['chC']['config']['verzeichnis']."/onlineusers.php");
		$tpl->assign("STATISTICS_PAGE", "http://".$GLOBALS['chC']['env']['server_name'].$GLOBALS['chC']['config']['verzeichnis']."/statistics.php");
		if($GLOBALS['chC']['env']['mode'] == "js")
		{
			$counteroutput = preg_replace('/\r\n|\r|\n/', '', addslashes($tpl->get_tpl_as_var()));
			print "document.write(\"".$counteroutput."\");\n";
		}
		else
		{
			$tpl->print_template();
		}
		$tpl->free();
		unset($tpl);
	}
}



function chC_optimize_db()
{
	if($GLOBALS['chC']['values']['heute_timestamp'] < $GLOBALS['chC']['variables']['zeit_zu_tagesanfang'])
	{
		$GLOBALS['chC']['db']->query("OPTIMIZE TABLE `".$GLOBALS['chC']['dbconfig']['table_config']."`,
					       `".$GLOBALS['chC']['dbconfig']['table_data']."`,
					       `".$GLOBALS['chC']['dbconfig']['table_log_data']."`,
					       `".$GLOBALS['chC']['dbconfig']['table_onlineusers']."`,
					       `".$GLOBALS['chC']['dbconfig']['table_blockedusers']."`,
					       `".$GLOBALS['chC']['dbconfig']['table_referers']."`,
					       `".$GLOBALS['chC']['dbconfig']['table_useragents']."`,
					       `".$GLOBALS['chC']['dbconfig']['table_pages']."`,
					       `".$GLOBALS['chC']['dbconfig']['table_access']."`,
					       `".$GLOBALS['chC']['dbconfig']['table_resolutions']."`,
					       `".$GLOBALS['chC']['dbconfig']['table_searchwords']."`");
	}
}

?>