<?php

/*
 **************************************
 * include/template.class.php
 * -------------
 * project: chCounter v2.3
 * last modified: July|06|2003
 * copyright by Christoph Bachner, 2003, 2004
 * contact: webmaster@christoph-bachner.net | www.christoph-bachner.net
 *
 **************************************
 * This file is part of chCounter.
 *
 * chCounter is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * chCounter is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with chCounter; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 **************************************
*/


class chCounter_template
{

	var $templatefile;
         var $optional_tags = array();
         var $needed_tags = array();
         var $file;


         function chCounter_template($templatefile)
         {
         	if(!file_exists($templatefile))
                 {
                 	echo 'Could not find the template file <i>'.$templatefile.'</i>!';
                         return FALSE;
                 }
                 $this->templatefile = $templatefile;
                 return TRUE;
         }


         function import_template($templatedata)
         {
         	if(empty($templatedata))
                 {
                 	echo 'Imported template is empty!';
                         return FALSE;
                 }
                 $this->file = $templatedata;
                 return TRUE;
         }


         function assign($tag, $value)
         {
         	if(empty($tag))
                 {
                 	echo 'Tag name ist empty!';
                         return FALSE;
                 }
                 $this->optional_tags[$tag] = $value;
                 return TRUE;
         }


         function force_assign($tag, $value)
         {
         	if(empty($tag))
                 {
                 	echo 'Tag name is empty!';
                         return FALSE;
                 }
                 $this->needed_tags[$tag] = $value;
                 return TRUE;
         }


         function _parse()
         {
         	if(empty($this->file))
                 	$this->file = @implode('', @file($this->templatefile));

                 if($this->file == FALSE)
                 {
                 	echo 'Could not read the template file!';
                 	return FALSE;
                 }

                 while(list($tag_name, $tag_value) = each($this->needed_tags))
                 {
                 	if(!ereg($tag_name, $this->file))
                         {
                         	echo 'Could not find tag <i>'.$tag_name.'</i> in the template file!';
                                 return FALSE;
                         }
                         else
                         {
                         	$this->file = @str_replace('{'.$tag_name.'}', $tag_value, $this->file);
                                 if($this->file == FALSE)
                                 {
                                 	echo 'Could not replace tag <i>'.$tag_name.'</i> with its value!';
                                         return FALSE;
                                 }
                         }
                 }

                 while(list($tag_name, $tag_value) = each($this->optional_tags))
                 {
                 	$this->file = @str_replace('{'.$tag_name.'}', $tag_value, $this->file);
                 }
                 return $this->file;
         }


         function print_template()
         {
         	$content = $this->_parse();
                 if($content == FALSE)
                 	return FALSE;
                 print $content;
                 return TRUE;
         }


         function get_tpl_as_var()
         {
         	$content = $this->_parse();
                 if($content == false)
                 	return false;
                 return $content;
         }


         function free()
         {
         	$this->file = "";
                 $this->templatefile = "";
                 $this->optional_tags = array();
                 $this->needed_tags = array();
         }

}
?>