<?php

/*
 **************************************
 * statistics.php
 * -------------
 * project: chCounter v2.3
 * last modified: February|27|2004
 * copyright by Christoph Bachner, 2003, 2004
 * contact: webmaster@christoph-bachner.net | www.christoph-bachner.net
 **************************************
 *
 * This file is part of chCounter.
 *
 * chCounter is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * chCounter is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with chCounter; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 **************************************
*/

error_reporting(E_ALL);

$GLOBALS['chC']['dbconfig'] = array();
$GLOBALS['chC']['env'] = array();
$chCounter_tempvars = array();

require_once("./include/config.inc.php");
require_once("./include/functions.inc.php");
require_once("./include/mysql.class.php");
require_once("./include/template.class.php");

$db = new chC_mysql($GLOBALS['chC']['dbconfig']['server'], $GLOBALS['chC']['dbconfig']['user'], $GLOBALS['chC']['dbconfig']['passwort'], $GLOBALS['chC']['dbconfig']['database']);

$config2 = !isset($HTTP_GET_VARS['details']) ? ", url_hp, verzeichnis, anzahl_referer, anzahl_refdomains, show_onlineuser_ip, anzahl_stats_seiten, anzahl_aufloesungen, anzahl_useragents, anzahl_stats_countries, anzahl_suchwoerter, stats_ignore_counterfile, stats_ignore_counterfiles, datum_format, zeitzone" : "";
$config = $db->query("SELECT lang ".$config2." FROM `".$GLOBALS['chC']['dbconfig']['table_config']."`");
$config = $db->fetch_assoc($config);
$chC_lang = array();
require("./lang/lang_".$config['lang'].".inc.php");

$chCounter_visible = "0";
$chCounter_pagetitle = $chC_lang['allgemein']['statistics'] ;
require_once("./counter.php");

$dec_seperator = ($config['lang'] == "de") ? "," : "." ;
$thousands_seperator = ($config['lang'] == "de") ? "." : ".";

if(isset($HTTP_GET_VARS['details']))
{
	$tpl = new chCounter_template("templates/useragentsdetails.tpl.htm");

	$typen = array('ie' => 'MS Internet Explorer',
		       'opera' => 'Opera',
		       'mozilla' => 'Mozilla',
		       'netscape' => 'Netscape',
		       '-',
		       'win' => 'Windows');

	$output_menue = "<form method=\"get\" action=\"\">
			  <select name=\"details\">";

	while(list($key, $value) = each($typen))
	{
		if($value == "-")
		{
			$selected = (isset($HTTP_GET_VARS['details']) && empty($HTTP_GET_VARS['details'])) ? "selected" : "";
			$output_menue .= "<option value=\"\" ".$selected.">-------</option>\n";
		}
		else
		{
			$selected = ($key == $HTTP_GET_VARS['details']) ? "selected" : "";
			$output_menue .= "<option value=\"".$key."\" ".$selected.">".$value."</option>\n";
		}
		unset($selected);
	}
	$output_menue .= "</select>\n<input type=\"submit\" value=\"OK\">\n</form>";
	$tpl->assign("MENU", $output_menue);


	switch($HTTP_GET_VARS['details'])
	{
		case 'ie':     $typ = $typen[$HTTP_GET_VARS['details']];
			       break;
		case 'win':    $typ = $typen[$HTTP_GET_VARS['details']];
			       break;
		case 'opera':  $typ = $typen[$HTTP_GET_VARS['details']];
			       break;
		case 'mozilla':$typ = $typen[$HTTP_GET_VARS['details']];
			       break;
		case 'netscape':$typ = $typen[$HTTP_GET_VARS['details']];
				      break;
		default: $typ = "";
	}

	$tpl->assign("DETAILS_ON", $typ);

	if(isset($HTTP_GET_VARS['details']) && !empty($HTTP_GET_VARS['details']) || !isset($typ))
	{

		$details = $db->query("SELECT typ, anzahl FROM `".$GLOBALS['chC']['dbconfig']['table_useragents']."` WHERE was='version' AND typ LIKE '%".$typ."%' AND anzahl > 0 ORDER BY anzahl DESC");
		$details = $db->fetch_assoc($details, 'multiple');
		if(count($details) > 0)
		{
			$max = $db->query("SELECT SUM(anzahl) as anzahl FROM `".$GLOBALS['chC']['dbconfig']['table_useragents']."` WHERE typ='$typ'");
			$max = $db->fetch_assoc($max);
			$max = $max['anzahl'];
			$max_length = 100;
		 	$output = '';
			for($i=0; $i<count($details); $i++)
			{
			 	$rowclass = (!(1 & $i)) ? "row1" : "row2";
				$version = explode("~", $details[$i]['typ']);
				$version = $version[1];
				if($version == 'unbekannt')
				{
					$version = $chC_lang['allgemein']['unbekannt'];
				}
			 	$prozent = number_format(@round(($details[$i]['anzahl'] / $max) * 100, 2), 2, $dec_seperator, $thousands_seperator);
				$width = @round((($details[$i]['anzahl'] / $max) * $max_length));
				$output .= " <tr class=\"$rowclass\">\n";
  				$output .= "  <td align=\"left\">".$version."</td>\n";
  				$output .= "  <td align=\"right\">".$details[$i]['anzahl']."</td>\n";
  				$output .= "  <td align=\"right\">".$prozent."%</td>\n";
  				$output .= "  <td align=\"left\" style=\"width: ".$max_length."px\"><img src=\"images/graph1.png\" width=\"".$width."\" height=\"10\" alt=\"".$prozent."%\"></td>\n";
				$output .= "  </tr>\n";
			 }
		 	$output .= " <tr class=\"row4\">\n  <td><b>".$chC_lang['allgemein']['gesamt'].": ".count($details)."</b></td>\n  <td align=\"right\">".$max."</td>\n  <td align=\"right\">100%</td>\n  <td>&nbsp;</td>\n </tr>\n";
		}
		else
		{
			$output = "<tr class=\"row1\"><td colspan=\"4\" align=\"center\">".$chC_lang['allgemein']['kein_eintrag_in_db']."</td></tr>\n";
		}
	}
	else
	{
		$output = " <tr>\n  <td colspan=\"4\" align=\"center\"><b>".$chC_lang['allgemein']['kategorie_auswaehlen']."</b></td>\n </tr>\n";
	}
	$tpl->assign("VERSIONS", $output);


}
elseif(isset($HTTP_GET_VARS['extensive']))
{

	$tpl = new chCounter_template("templates/extensive_statistics.tpl.htm");


	$typen = array('referers' => $chC_lang['allgemein']['referer'],
		       'refdomains' => $chC_lang['allgemein']['refdomains'],
		       'useragents' => $chC_lang['allgemein']['useragents'],
		       'pages' => $chC_lang['allgemein']['pages'],
		       'searchwords' => $chC_lang['allgemein']['searchwords']);

	$output_menue = "<form method=\"get\" action=\"\">\n";
	$output_menue .= "<select name=\"extensive\">\n";

	while(list($key, $value) = each($typen))
	{
		$output_menue .= "<option value=\"".$key."\" ".(($key == $HTTP_GET_VARS['extensive']) ? "selected" : "").">".$value."</option>\n";
	}
	$output_menue .= "</select>\n";
	$output_menue .= $chC_lang['allgemein']['ordnen']."\n";
	$output_menue .= "<select name=\"order_by\">\n";
	$output_menue .= "<option value=\"quantity\" ".((isset($HTTP_GET_VARS['order_by']) && $HTTP_GET_VARS['order_by'] == 'quantity') ? 'selected' : '').">".$chC_lang['allgemein']['anzahl']."</option>\n";
	$output_menue .= "<option value=\"date\" ".((isset($HTTP_GET_VARS['order_by']) && $HTTP_GET_VARS['order_by'] == 'date') ? 'selected' : '').">".$chC_lang['allgemein']['nach_datum']."</option>\n";
	$output_menue .= "<option value=\"alphabet\" ".((isset($HTTP_GET_VARS['order_by']) && $HTTP_GET_VARS['order_by'] == 'alphabet') ? 'selected' : '').">".$chC_lang['allgemein']['alphabetisch']."</option>\n";
	$output_menue .= "</select>\n";
	$output_menue .= "<select name=\"sort\">\n";
	$output_menue .= "<option value=\"desc\" ".(!(isset($HTTP_GET_VARS['sort']) && $HTTP_GET_VARS['sort'] == 'asc') ? 'selected' : '').">".$chC_lang['allgemein']['absteigend']."</option>\n";
	$output_menue .= "<option value=\"asc\" ".((isset($HTTP_GET_VARS['sort']) && $HTTP_GET_VARS['sort'] == 'asc') ? 'selected' : '').">".$chC_lang['allgemein']['aufsteigend']."</option>\n";
	$output_menue .= "</select>\n";
	$output_menue .= "<input type=\"submit\" value=\"OK\">\n</form>\n";
	$tpl->assign("MENU", $output_menue);

	if(!isset($HTTP_GET_VARS['order_by']))
		$HTTP_GET_VARS['order_by'] = '';


	switch($HTTP_GET_VARS['extensive'])
	{
		case 'referers':	$typ = $typen[$HTTP_GET_VARS['extensive']];
					$table = $GLOBALS['chC']['dbconfig']['table_referers'];
					$field = 'referer';
					$where = "WHERE was = 'referer'";
					break;
		case 'refdomains':	$typ = $typen[$HTTP_GET_VARS['extensive']];
					$table = $GLOBALS['chC']['dbconfig']['table_referers'];
					$field = 'referer';
					$where = "WHERE was = 'domain'";
					break;
		case 'useragents':	$typ = $typen[$HTTP_GET_VARS['extensive']];
					$table = $GLOBALS['chC']['dbconfig']['table_useragents'];
					$field = 'typ';
					$where = "WHERE was = 'useragent'";
					break;
		case 'pages':		$typ = $typen[$HTTP_GET_VARS['extensive']];
					$table = $GLOBALS['chC']['dbconfig']['table_pages'];
					$field = 'seite';
					$field2 = 'titel';
					$where = '';
					break;
		case 'searchwords':  	$typ = $typen[$HTTP_GET_VARS['extensive']];
					$table = $GLOBALS['chC']['dbconfig']['table_searchwords'];
					$field = 'suchwoerter';
					$where = '';
					break;
		default:		$dont_show = true;
	}

         if(!isset($typ))
		$typ = '';
	$tpl->assign("STATISTIC-TYPE", $typ);

	if(isset($HTTP_GET_VARS['extensive']) && !isset($dont_show))
	{
		switch($HTTP_GET_VARS['order_by'])
		{
			case 'date':		$order = 'ORDER BY datum';
						break;
			case 'alphabet':	$order = "ORDER BY $field";
						break;
			default:		$order = 'ORDER BY anzahl';
		}
		$order .= (isset($HTTP_GET_VARS['sort']) && $HTTP_GET_VARS['sort'] == 'asc') ? ' ASC' : ' DESC';


		$extensive = $db->query("SELECT ".$field.", ".(isset($field2) ? $field2.',' : '')." anzahl FROM `$table` $where $order");
		$extensive = $db->fetch_assoc($extensive, 'multiple');
		if(count($extensive) > 0)
		{
			$max = $db->query("SELECT SUM(anzahl) as anzahl FROM `$table` $where");
			$max = $db->fetch_assoc($max);
			$max = $max['anzahl'];
			$max_length = 100;
		 	$output = '';
			$verz = str_replace("http://".$GLOBALS['chC']['env']['server_name'], "", $config['url_hp']);
			$config['url_hp'] = preg_replace("#/$#", "", $config['url_hp']);
			for($i = 0; $i < count($extensive); $i++)
			{
				if($HTTP_GET_VARS['extensive'] == 'referers' || $HTTP_GET_VARS['extensive'] == 'refdomains')
				{
					$refererkurz = substr($extensive[$i]['referer'], 0, 40);
					if($refererkurz != $extensive[$i]['referer'])
						$refererkurz = $refererkurz."...";
					$extensive[$i][$field] = "<a href=\"".(($HTTP_GET_VARS['extensive'] == 'refdomains') ? 'http://' : '').htmlspecialchars($extensive[$i]['referer'])."\" target=\"_blank\">$refererkurz</a>";
				}
				elseif($HTTP_GET_VARS['extensive'] == 'useragents')
				{
					$extensive[$i][$field] = wordwrap(htmlspecialchars($extensive[$i][$field]), 50, '<br>', 1);
				}
				elseif($HTTP_GET_VARS['extensive'] == 'pages')
				{
					$extensive[$i][$field] = str_replace($verz, "", $extensive[$i][$field]);
					$extensive[$i][$field] = !empty($extensive[$i]['titel'])
                                                                 					? "<a href=\"".$config['url_hp'].htmlspecialchars($extensive[$i]['seite'])."\" target=\"_blank\">".wordwrap(htmlspecialchars($extensive[$i]['titel']), 50, "<br>", 1)."</a>\n"
									: "<a href=\"".$config['url_hp'].htmlspecialchars($extensive[$i]['seite'])."\" target=\"_blank\">".wordwrap(htmlspecialchars($extensive[$i]['seite']), 50, "<br>", 1)."</a>\n";

				}
				elseif($HTTP_GET_VARS['extensive'] == 'searchwords')
				{
					$extensive[$i][$field] = wordwrap(htmlspecialchars($extensive[$i][$field]), 50, '<br>', 1);
				}


			 	$rowclass = (!(1 & $i)) ? "row1" : "row2";
			 	$prozent = number_format(@round(($extensive[$i]['anzahl'] / $max) * 100, 2), 2, $dec_seperator, $thousands_seperator);
				$width = @round((($extensive[$i]['anzahl'] / $max) * $max_length));
				$output .= " <tr class=\"$rowclass\">\n";
  				$output .= "  <td align=\"left\">".$extensive[$i][$field]."</td>\n";
  				$output .= "  <td align=\"right\">".$extensive[$i]['anzahl']."</td>\n";
  				$output .= "  <td align=\"right\">".$prozent."%</td>\n";
  				$output .= "  <td align=\"left\" style=\"width: ".$max_length."px\"><img src=\"images/graph1.png\" width=\"".$width."\" height=\"10\" alt=\"".$prozent."%\"></td>\n";
				$output .= "  </tr>\n";
			 }
		 	$output .= " <tr class=\"row4\">\n  <td align=\"left\"><b>".$chC_lang['allgemein']['gesamt'].": ".count($extensive)."</b></td>\n  <td align=\"right\">".$max."</td>\n  <td align=\"right\">100%</td>\n  <td>&nbsp;</td>\n </tr>\n";
		}
		else
		{
			$output = "<tr class=\"row1\"><td colspan=\"4\" align=\"center\">".$chC_lang['allgemein']['kein_eintrag_in_db']."</td></tr>\n";
		}
	}
	else
	{
		$output = " <tr>\n  <td colspan=\"4\" align=\"center\"><b>".$chC_lang['allgemein']['kategorie_auswaehlen']."</b></td>\n </tr>\n";
	}
	$tpl->assign("DATA", $output);


}
else
{
	$tpl = new chCounter_template("templates/statistics.tpl.htm");

	# Zhlerstand + Rekorde
	$counterstand = $db->query("SELECT besucher_gesamt,
						besucher_heute,
						besucher_gestern,
						hits_gesamt,
						hits_heute,
						hits_gestern,
						besucher_hits_pro_besucher,
						besucher_seit_counterstart,
						hits_seit_counterstart,
						hits_hits_pro_besucher,
						counterstart,
						max_online,
						max_online_datum,
						max_per_day,
						max_per_day_datum,
						js_alle,
						js_aktiv
					FROM `".$GLOBALS['chC']['dbconfig']['table_data']."`");
	$counterstand = $db->fetch_assoc($counterstand);
	$js_prozent = @round(($counterstand['js_aktiv'] / $counterstand['js_alle']) * 100, 2);
	$hitsdurchschnitt = number_format(@round(($counterstand['hits_hits_pro_besucher'] / $counterstand['besucher_hits_pro_besucher']), 2), 2, $dec_seperator, $thousands_seperator);
	$laufzeit = (time() - $counterstand['counterstart']) / 86400;
	$laufzeit = ($laufzeit < 1 ) ? 1 : $laufzeit;
	$besucher_pro_tag = number_format(round(($counterstand['besucher_seit_counterstart'] / $laufzeit), 2), 2, $dec_seperator, $thousands_seperator);
	$hits_pro_tag = number_format(round(($counterstand['hits_seit_counterstart'] / $laufzeit), 2), 2, $dec_seperator, $thousands_seperator);
	$tpl->assign("VISITORS_PER_DAY", $besucher_pro_tag);
	$tpl->assign("PAGEVIEWS_PER_DAY", $hits_pro_tag);
	$tpl->assign("TOTAL_PAGEVIEWS", $counterstand['hits_gesamt']);
	$tpl->assign("PAGEVIEWS_PER_USER", $hitsdurchschnitt);
	$tpl->assign("PAGEVIEWS_TODAY", $counterstand['hits_heute']);
	$tpl->assign("PAGEVIEWS_YESTERDAY", $counterstand['hits_gestern']);
	$tpl->assign("VISITORS_MAX_PER_DAY", $counterstand['max_per_day']);
	$max_per_day_date = ($counterstand['max_per_day_datum'] != "0") ? chC_format_date($config['datum_format'], $counterstand['max_per_day_datum'], $config['zeitzone']) : $chC_lang['allgemein']['kein_datum'];
	$tpl->assign("VISITORS_MAX_PER_DAY_DATE", $max_per_day_date);
	$tpl->assign("VISITORS_MAX_ONLINE", $counterstand['max_online']);
	$max_online_date = ($counterstand['max_online_datum'] != "0") ? chC_format_date($config['datum_format'], $counterstand['max_online_datum'], $config['zeitzone']) : $chC_lang['allgemein']['kein_datum'];
	$tpl->assign("VISITORS_VISITORS_MAX_ONLINE_DATE", $max_online_date);
	$tpl->assign("VISITORS_TODAY", $counterstand['besucher_heute']);
	$tpl->assign("VISITORS_YESTERDAY", $counterstand['besucher_gestern']);
	$tpl->assign("TOTAL_VISITORS", $counterstand['besucher_gesamt']);
	$tpl->assign("JS_PERCENTAGE", $js_prozent);



	# online-user
	$online_user = $db->query("SELECT o.nr, o.ip, o.seite, o.zeit, o.hits, s.titel FROM `".$GLOBALS['chC']['dbconfig']['table_onlineusers']."` as o, `".$GLOBALS['chC']['dbconfig']['table_pages']."` as s WHERE o.seite = s.seite");
	$online_user = $db->fetch_assoc($online_user, 'multiple');
	if(count($online_user) > 0)
	{
		$output_useronline = '';
		for($i=0;$i<count($online_user);$i++)
		{
			$rowclass = (!(1 & $i)) ? "row1" : "row2";
			if($config['show_onlineuser_ip'] == "0")
				$online_user[$i]['ip'] = "-";
			if(empty($online_user[$i]['titel']))
				$online_user[$i]['titel'] = $online_user[$i]['seite'];

			$output_useronline .= " <tr class=\"$rowclass\">\n";
	  		$output_useronline .= "  <td align=\"left\">".$online_user[$i]['nr']."</td>\n";
	  		$output_useronline .= "  <td align=\"left\">".$online_user[$i]['ip']."</td>\n";
	  		$output_useronline .= "  <td align=\"left\"><a href=\"http://".getenv("SERVER_NAME").$online_user[$i]['seite']."\" target=\"_blank\">".$online_user[$i]['titel']."</a></td>\n";
	  		$output_useronline .= "  <td align=\"right\">".$online_user[$i]['hits']."</td>\n";
	  		$output_useronline .= "  <td align=\"right\">".chC_format_date($config['datum_format'], $online_user[$i]['zeit'], $config['zeitzone'])."</td>\n";
			$output_useronline .= " </tr>\n";
		}
	}
	else
	{

		$output_useronline = "<tr class=\"row1\"><td colspan=\"5\" align=\"center\">".$chC_lang['allgemein']['keine_besucher_online']."</td></tr>\n";
	}
	$tpl->assign("ONLINE_USERS", $output_useronline);



	# seiten
	$config['url_hp'] = preg_replace("#/$#", "", $config['url_hp']);
	if($config['stats_ignore_counterfiles'] == "1")
	{
		$bedingung = "WHERE `seite` NOT LIKE '".$config['verzeichnis']."%' ";
	}
	elseif($config['stats_ignore_counterfile'] == "1")
	{
		$bedingung = "WHERE '".$config['verzeichnis']."/counter.php' NOT IN (seite)";
	}
	else
	{
		$bedingung = "";
	}
	$seiten = $db->query("SELECT seite, titel, anzahl FROM `".$GLOBALS['chC']['dbconfig']['table_pages']."` $bedingung ORDER BY anzahl DESC LIMIT 0, ".$config['anzahl_stats_seiten']);
	$seiten = $db->fetch_assoc($seiten, 'multiple');
	if(count($seiten) > 0)
	{
		$max_length = 100;
		$seiten_gesamt = $db->query("SELECT SUM(anzahl) as anzahl_gesamt, COUNT(anzahl) AS anzahl_seiten FROM `".$GLOBALS['chC']['dbconfig']['table_pages']."`");
		$seiten_gesamt = $db->fetch_assoc($seiten_gesamt);
		$verz = str_replace("http://".$GLOBALS['chC']['env']['server_name'], "", $config['url_hp']);
		$output_seiten = '';
		for($i=0;$i<count($seiten);$i++)
		{
			$seiten[$i]['seite'] = htmlspecialchars($seiten[$i]['seite']);
			$rowclass = (!(1 & $i)) ? "row1" : "row2";
			if(empty($seiten[$i]['titel']))
				$seiten[$i]['titel'] = $seiten[$i]['seite'];
			$seiten[$i]['seite'] = str_replace($verz, "", $seiten[$i]['seite']);
			$prozent = number_format(round((($seiten[$i]['anzahl']) / $seiten_gesamt['anzahl_gesamt'])*100, 2), 2, $dec_seperator, $thousands_seperator);
			$width = @round(($seiten[$i]['anzahl'] / $seiten_gesamt['anzahl_gesamt']) * $max_length);
			$output_seiten .= " <tr class=\"$rowclass\">\n";
  			$output_seiten .= "  <td align=\"left\">".($i+1)."</td>\n";
  			$output_seiten .= "  <td align=\"left\"><a href=\"".$config['url_hp'].$seiten[$i]['seite']."\" target=\"_blank\">".$seiten[$i]['titel']."</a></td>\n";
  			$output_seiten .= "  <td align=\"right\">".$seiten[$i]['anzahl']."</td>\n";
	  		$output_seiten .= "  <td align=\"right\">".$prozent."%</td>\n";
			$output_seiten .= "  <td align=\"left\" style=\"width: ".$max_length."px\"><img src=\"images/graph1.png\" width=\"".$width."\" height=\"10\" alt=\"".$prozent."%\"></td>\n";
			$output_seiten .= " </tr>\n";
		}
		$output_seiten .= " <tr class=\"row4\">\n  <td>&nbsp;</td>\n  <td align=\"left\"><b>".$chC_lang['allgemein']['gesamt'].": ".$seiten_gesamt['anzahl_seiten']."</b></td>\n  <td align=\"right\">".$seiten_gesamt['anzahl_gesamt']."</td>\n  <td align=\"right\">100%</td>\n  <td>&nbsp;</td>\n </tr>\n";
	}
	else
	{
		$output_seiten = "<tr class=\"row1\"><td colspan=\"5\" align=\"center\">".$chC_lang['allgemein']['keine_seiten_in_db']."</td></tr>";
	}
	$tpl->assign("STATISTICS_PAGES", $output_seiten);



	# referer
	$referer = $db->query("SELECT referer, anzahl FROM `".$GLOBALS['chC']['dbconfig']['table_referers']."` WHERE was='referer' ORDER BY anzahl DESC LIMIT 0, ".$config['anzahl_referer']);
	$referer = $db->fetch_assoc($referer, 'multiple');
	if(count($referer) > 0)
	{
		$max_length = 100;
		$referer_gesamt = $db->query("SELECT SUM(anzahl) as anzahl_gesamt, COUNT(referer) as anzahl_referer FROM `".$GLOBALS['chC']['dbconfig']['table_referers']."` WHERE was = 'referer'");
		$referer_gesamt = $db->fetch_assoc($referer_gesamt);
		$output_referer = '';
		for($i=0;$i<count($referer);$i++)
		{
			$referer[$i]['referer'] = htmlspecialchars($referer[$i]['referer']);
			$refererkurz = substr($referer[$i]['referer'], 0, 40);
			if($refererkurz != $referer[$i]['referer'])
				$refererkurz = $refererkurz."...";
			$rowclass = (!(1 & $i)) ? "row1" : "row2";
			$prozent = number_format(round((($referer[$i]['anzahl']) / $referer_gesamt['anzahl_gesamt'])*100, 2), 2, $dec_seperator, $thousands_seperator);
			$width = @round(($referer[$i]['anzahl'] / $referer_gesamt['anzahl_gesamt']) * $max_length);
			$output_referer .= " <tr class=\"$rowclass\">\n";
  			$output_referer .= "  <td align=\"left\">".($i+1)."</td>\n";
  			$output_referer .= "  <td align=\"left\"><a href=\"".$referer[$i]['referer']."\" target=\"_blank\">".$refererkurz."</a></td>\n";
  			$output_referer .= "  <td align=\"right\">".$referer[$i]['anzahl']."</td>\n";
	   		$output_referer .= "  <td align=\"right\">".$prozent."%</td>\n";
			$output_referer .= "  <td align=\"left\" style=\"width: ".$max_length."px\"><img src=\"images/graph1.png\" width=\"".$width."\" height=\"10\" alt=\"".$prozent."%\"></td>\n";
	 		$output_referer .= " </tr>\n";
		 }
		 $output_referer .= " <tr class=\"row4\">\n  <td>&nbsp;</td>\n  <td align=\"left\"><b>".$chC_lang['allgemein']['gesamt'].": ".$referer_gesamt['anzahl_referer']."</b></td>\n  <td align=\"right\">".$referer_gesamt['anzahl_gesamt']."</td>\n  <td align=\"right\">100%</td>\n  <td>&nbsp;</td>\n </tr>\n";
	}
	else
	{
			$output_referer = " <tr class=\"row1\">\n  <td colspan=\"5\" align=\"center\">".$chC_lang['allgemein']['keine_referer_in_db']."</td>\n </tr>";
	}
	$tpl->assign("STATISTICS_REFERERS", $output_referer);



	# referer-domains
	$refdomains = $db->query("SELECT referer, anzahl FROM `".$GLOBALS['chC']['dbconfig']['table_referers']."` WHERE was='domain' ORDER BY anzahl DESC LIMIT 0, ".$config['anzahl_refdomains']);
	$refdomains = $db->fetch_assoc($refdomains, 'multiple');
	if(count($refdomains) > 0)
	{
		$max_length = 100;
		$refdomains_gesamt = $db->query("SELECT SUM(anzahl) as anzahl_gesamt, COUNT(referer) as anzahl_refdomains FROM `".$GLOBALS['chC']['dbconfig']['table_referers']."` WHERE was = 'domain'");
		$refdomains_gesamt = $db->fetch_assoc($refdomains_gesamt);
		$output_refdomains = '';
		for($i=0;$i<count($refdomains);$i++)
		{
			$refdomains[$i]['referer'] = htmlspecialchars($refdomains[$i]['referer']);
			$refdomainkurz = substr($refdomains[$i]['referer'], 0, 40);
			if($refdomainkurz != $refdomains[$i]['referer'])
				$refdomainkurz .= "...";
			$rowclass = (!(1 & $i)) ? "row1" : "row2";
			$prozent = number_format(round((($refdomains[$i]['anzahl']) / $refdomains_gesamt['anzahl_gesamt'])*100, 2), 2, $dec_seperator, $thousands_seperator);
			$width = @round(($refdomains[$i]['anzahl'] / $refdomains_gesamt['anzahl_gesamt']) * $max_length);
			$output_refdomains .= " <tr class=\"$rowclass\">\n";
  			$output_refdomains .= "  <td align=\"left\">".($i+1)."</td>\n";
  			$output_refdomains .= "  <td align=\"left\"><a href=\"http://".$refdomains[$i]['referer']."\" target=\"_blank\">".$refdomainkurz."</a></td>\n";
  			$output_refdomains .= "  <td align=\"right\">".$refdomains[$i]['anzahl']."</td>\n";
	   		$output_refdomains .= "  <td align=\"right\">".$prozent."%</td>\n";
			$output_refdomains .= "  <td align=\"left\" style=\"width: ".$max_length."px\"><img src=\"images/graph1.png\" width=\"".$width."\" height=\"10\" alt=\"".$prozent."%\"></td>\n";
	 		$output_refdomains .= " </tr>\n";
		 }
		 $output_refdomains .= " <tr class=\"row4\">\n  <td>&nbsp;</td>\n  <td align=\"left\"><b>".$chC_lang['allgemein']['gesamt'].": ".$refdomains_gesamt['anzahl_refdomains']."</b></td>\n  <td align=\"right\">".$refdomains_gesamt['anzahl_gesamt']."</td>\n  <td align=\"right\">100%</td>\n  <td>&nbsp;</td>\n </tr>\n";
	}
	else
	{
			$output_refdomains = " <tr class=\"row1\">\n  <td colspan=\"5\" align=\"center\">".$chC_lang['allgemein']['kein_eintrag_in_db']."</td> </tr>\n";
	}
	$tpl->assign("STATISTICS_REFDOMAINS", $output_refdomains);



	# browser
	$browser = $db->query("SELECT typ, anzahl FROM `".$GLOBALS['chC']['dbconfig']['table_useragents']."` WHERE was='browser' AND anzahl > '0' ORDER by anzahl DESC");
	$browser = $db->fetch_assoc($browser, 'multiple');
	if(count($browser) > 0)
	{
		$max_length = 100;
		$browser_gesamt = $db->query("SELECT SUM(anzahl) as anzahl_gesamt, COUNT(typ) as anzahl_browser FROM `".$GLOBALS['chC']['dbconfig']['table_useragents']."` WHERE was='browser' AND anzahl > 0");
		$browser_gesamt = $db->fetch_assoc($browser_gesamt);
		$output_browser = '';
       		for($i=0; $i<count($browser); $i++)
		{
			 $rowclass = (!(1 & $i)) ? "row1" : "row2";
			 $width = round(($browser[$i]['anzahl'] / $browser_gesamt['anzahl_gesamt']) * $max_length);
			 $prozent = number_format(round((($browser[$i]['anzahl']) / $browser_gesamt['anzahl_gesamt'])*100, 2), 2, $dec_seperator, $thousands_seperator);
			 $output_browser .= " <tr class=\"$rowclass\">\n";
			 $output_browser .= "  <td align=\"left\">".($i+1)."</td>\n";
			 $output_browser .= "  <td align=\"left\"><img src=\"images/".str_replace(' ', '_', strtolower($browser[$i]['typ'])).".png\" alt=\"".$browser[$i]['typ']."\"></td>\n";
			 switch($browser[$i]['typ'])
			 {
			 	case "MS Internet Explorer": 	$browser[$i]['typ'] = "<a href=\"statistics.php?details=ie\" onclick=\"window.open('statistics.php?details=ie','useragentsdetails','width=540,height=400,screenX=0,screenY=0,resizable=yes,scrollbars=yes'); return false;\" target=\"useragentsdetails\">".$browser[$i]['typ']."</a>";
				 			     	break;
				case "Opera": 			$browser[$i]['typ'] = "<a href=\"statistics.php?details=opera\" onclick=\"window.open('statistics.php?details=opera','useragentsdetails','width=540,height=400,screenX=0,screenY=0,resizable=yes,scrollbars=yes'); return false;\" target=\"useragentsdetails\">".$browser[$i]['typ']."</a>";
			 					break;
				case "Mozilla":		 $browser[$i]['typ'] = "<a href=\"statistics.php?details=mozilla\" onclick=\"window.open('statistics.php?details=mozilla','useragentsdetails','width=540,height=400,screenX=0,screenY=0,resizable=yes,scrollbars=yes'); return false;\" target=\"useragentsdetails\">".$browser[$i]['typ']."</a>";
				 				break;
				case "Netscape":		$browser[$i]['typ'] = "<a href=\"statistics.php?details=netscape\" onclick=\"window.open('statistics.php?details=netscape','useragentsdetails','width=540,height=400,screenX=0,screenY=0,resizable=yes,scrollbars=yes'); return false;\" target=\"useragentsdetails\">".$browser[$i]['typ']."</a>";
			}
			if($browser[$i]['typ'] == 'unbekannt')
			{
				$browser[$i]['typ'] = $chC_lang['allgemein']['unbekannt'];
			}
			elseif($browser[$i]['typ'] == 'Suchmaschinen')
			{
				$browser[$i]['typ'] = $chC_lang['allgemein']['Suchmaschinen'];
			}
			$output_browser .= "  <td align=\"left\">".$browser[$i]['typ']."</td>\n";
			$output_browser .= "  <td align=\"right\">".$browser[$i]['anzahl']."</td>\n";
  	       		$output_browser .= "  <td align=\"right\">".$prozent."%</td>\n";
  	       		$output_browser .= "  <td align=\"left\" style=\"width: ".$max_length."px\"><img src=\"images/graph1.png\" width=\"".$width."\" height=\"10\" alt=\"".$prozent."%\"></td>\n";
	       		$output_browser .= " </tr>\n";
		 }
		 $output_browser .= " <tr class=\"row4\">\n  <td>&nbsp;</td>\n  <td>&nbsp;</td>\n <td align=\"left\"><b>".$chC_lang['allgemein']['gesamt'].": ".$browser_gesamt['anzahl_browser']."</b></td>\n  <td align=\"right\">".$browser_gesamt['anzahl_gesamt']."</td>\n  <td align=\"right\">100%</td>\n <td>&nbsp;</td>\n </tr>\n";
	}
	else
	{
			$output_browser = " <tr class=\"row1\">\n  <td colspan=\"6\" align=\"center\">".$chC_lang['allgemein']['kein_eintrag_in_db']."</td>\n </tr>\n";
	}
	$tpl->assign("STATISTICS_BROWSERS", $output_browser);



	# os
	$os = $db->query("SELECT typ, anzahl FROM `".$GLOBALS['chC']['dbconfig']['table_useragents']."` WHERE was='os' AND anzahl > 0 ORDER by anzahl DESC");
	$os = $db->fetch_assoc($os, 'multiple');
	if(count($os) > 0)
	{
		$max_length = 100;
		$os_gesamt = $db->query("SELECT SUM(anzahl) as anzahl_gesamt, COUNT(typ) as anzahl_os FROM `".$GLOBALS['chC']['dbconfig']['table_useragents']."` WHERE was='os' AND anzahl > 0");
		$os_gesamt = $db->fetch_assoc($os_gesamt);
		$output_os = '';
		for($i=0; $i<count($os); $i++)
		{
			$rowclass = (!(1 & $i)) ? "row1" : "row2";
			$prozent = number_format(round((($os[$i]['anzahl']) / $os_gesamt['anzahl_gesamt'])*100, 2), 2, $dec_seperator, $thousands_seperator);
			$width = @round(($os[$i]['anzahl'] / $os_gesamt['anzahl_gesamt']) * $max_length);
			$output_os .= " <tr class=\"$rowclass\">\n";
  			$output_os .= "  <td align=\"left\">".($i+1)."</td>\n";
  			$output_os .= "  <td align=\"left\"><img src=\"images/".str_replace(array(' ', '/'), array('_', ''), strtolower($os[$i]['typ'])).".png"."\" alt=\"".$os[$i]['typ']."\"></td>\n";
			if($os[$i]['typ'] == "Windows")
			{
				$os[$i]['typ'] = "<a href=\"statistics.php?details=win\" onclick=\"window.open('statistics.php?details=win','useragentsdetails','width=540,height=400,screenX=0,screenY=0,resizable=yes,scrollbars=yes'); return false;\" target=\"useragentsdetails\">".$os[$i]['typ']."</a>";
			}
			elseif($os[$i]['typ'] == 'unbekannt')
			{
				$os[$i]['typ'] = $chC_lang['allgemein']['unbekannt'];
			}
  			$output_os .= "  <td align=\"left\">".$os[$i]['typ']."</td>\n";
  			$output_os .= "  <td align=\"right\">".$os[$i]['anzahl']."</td>\n";
  			$output_os .= "  <td align=\"right\">".$prozent."%</td>\n";
  			$output_os .= "  <td align=\"left\" style=\"width: ".$max_length."px\"><img src=\"images/graph1.png\" width=\"".$width."\" height=\"10\" alt=\"".$prozent."%\"></td>\n";
			$output_os .= "  </tr>\n";
		 }
		 $output_os .= " <tr class=\"row4\">\n  <td>&nbsp;</td>\n  <td>&nbsp;</td>\n <td align=\"left\"><b>".$chC_lang['allgemein']['gesamt'].": ".$os_gesamt['anzahl_os']."</b></td>\n  <td align=\"right\">".$os_gesamt['anzahl_gesamt']."</td>\n  <td align=\"right\">100%</td>\n <td>&nbsp;</td>\n </tr>\n";
	}
	else
	{
			$output_os = " <tr class=\"row1\">\n  <td colspan=\"6\" align=\"center\">".$chC_lang['allgemein']['kein_os_in_db']."</td> </tr>\n";
	}
	$tpl->assign("STATISTICS_OS", $output_os);



	# User-Agents
	$useragents = $db->query("SELECT typ, anzahl FROM `".$GLOBALS['chC']['dbconfig']['table_useragents']."` WHERE was='useragent' ORDER BY anzahl DESC LIMIT 0, ".$config['anzahl_useragents']);
	$useragents = $db->fetch_assoc($useragents, 'multiple');
	if(count($useragents) > 0)
	{
		$max_length = 100;
		$useragents_gesamt = $db->query("SELECT SUM(anzahl) as anzahl_gesamt, COUNT(typ) as anzahl_useragents FROM `".$GLOBALS['chC']['dbconfig']['table_useragents']."` WHERE was='useragent'");
		$useragents_gesamt = $db->fetch_assoc($useragents_gesamt);
		$output_useragents = '';
		for($i=0; $i<count($useragents); $i++)
		{
			$useragents[$i]['typ'] = htmlspecialchars($useragents[$i]['typ']);
			$rowclass = (!(1 & $i)) ? "row1" : "row2";
			$prozent = number_format(round((($useragents[$i]['anzahl']) / $useragents_gesamt['anzahl_gesamt'])*100, 2), 2, $dec_seperator, $thousands_seperator);
			$width = @round(($useragents[$i]['anzahl'] / $useragents_gesamt['anzahl_gesamt']) * $max_length);
			$output_useragents .= " <tr class=\"$rowclass\">\n";
  			$output_useragents .= "  <td align=\"left\">".($i+1)."</td>\n";
  			$output_useragents .= "  <td align=\"left\">".$useragents[$i]['typ']."</td>\n";
  			$output_useragents .= "  <td align=\"right\">".$useragents[$i]['anzahl']."</td>\n";
  			$output_useragents .= "  <td align=\"right\">".$prozent."%</td>\n";
			$output_useragents .= "  <td align=\"left\" style=\"width: ".$max_length."px\"><img src=\"images/graph1.png\" width=\"".$width."\" height=\"10\" alt=\"".$prozent."%\"></td>\n";
			$output_useragents .= "  </tr>\n";
		 }
		 $output_useragents .= " <tr class=\"row4\">\n  <td>&nbsp;</td>\n  <td align=\"left\"><b>".$chC_lang['allgemein']['gesamt'].": ".$useragents_gesamt['anzahl_useragents']."</b></td>\n  <td align=\"right\">".$useragents_gesamt['anzahl_gesamt']."</td>\n  <td align=\"right\">100%</td>\n  <td>&nbsp;</td> </tr>\n";
	}
	else
	{
			$output_useragents = " <tr class=\"row1\">\n  <td colspan=\"5\" align=\"center\">".$chC_lang['allgemein']['kein_os_in_db']."</td> </tr>\n";
	}
	$tpl->assign("STATISTICS_USERAGENTS", $output_useragents);



	# Lnder
	$laender = $db->query("SELECT land, anzahl FROM `".$GLOBALS['chC']['dbconfig']['table_countries']."` WHERE anzahl > '0' AND 'gesamt' NOT IN (land) ORDER BY anzahl DESC LIMIT 0, ".$config['anzahl_stats_countries']);
	$laender = $db->fetch_assoc($laender, 'multiple');
	if(count($laender) > 0)
	{
		$max_length = 100;
		$laenderanzahlges = $db->query("SELECT anzahl FROM `".$GLOBALS['chC']['dbconfig']['table_countries']."` WHERE land = 'gesamt'");
		$laenderanzahlges = $db->fetch_assoc($laenderanzahlges);
		$laenderanzahlges = $laenderanzahlges['anzahl'];
		$known = $db->query("SELECT SUM(anzahl) as anzahl, COUNT(anzahl) as gesamt FROM `".$GLOBALS['chC']['dbconfig']['table_countries']."` WHERE 'gesamt' NOT in (land) AND anzahl > 0");
		$known = $db->fetch_assoc($known);
		$unbekannt = $laenderanzahlges - $known['anzahl'];
		if($unbekannt > 0)
		{
			$known['gesamt']++;
			$k = 0;
			for($i = 0; $i < count($laender); $i++)
			{
				$land[$k] = $laender[$i];
				$k++;
				if(($k == count($laender) || (isset($laender[$i+1]) && $unbekannt > $laender[$i+1]['anzahl'])) && !isset($unbekannt_ausgegeben))
				{
					$land[$k] = array('land' => 'unbekannt', 'anzahl' => $unbekannt);
					$k++;
					$unbekannt_ausgegeben = TRUE;
				}
			}
			$laender = $land;
		}
		$output_laender = '';
		for($i=0; $i<count($laender); $i++)
		{
			$rowclass = (!(1 & $i)) ? "row1" : "row2";
			$prozent = number_format(@round(($laender[$i]['anzahl'] / $laenderanzahlges) * 100, 2), 2, $dec_seperator, $thousands_seperator);
			$width = @round(($laender[$i]['anzahl'] / $laenderanzahlges) * $max_length);
			$output_laender .= " <tr class=\"$rowclass\">\n";
			$output_laender .= "  <td align=\"left\">".($i+1)."</td>\n";
			$output_laender .= "  <td align=\"left\">".$chC_lang['allgemein'][$laender[$i]['land']]."</td>\n";
			$output_laender .= "  <td align=\"right\">".$laender[$i]['anzahl']."</td>\n";
			$output_laender .= "  <td align=\"right\">".$prozent."%</td>\n";
			$output_laender .= "  <td align=\"left\" style=\"width: ".$max_length."px\"><img src=\"images/graph1.png\" width=\"".$width."\" height=\"10\" alt=\"".$prozent."%\"></td>\n";
			$output_laender .= " </tr>\n";
		}
		$output_laender .= " <tr class=\"row4\">\n  <td>&nbsp;</td>\n  <td align=\"left\"><b>".$chC_lang['allgemein']['gesamt'].": ".$known['gesamt']."</b></td>\n  <td align=\"right\">".$laenderanzahlges."</td>\n  <td align=\"right\">100%</td>\n <td>&nbsp;</td>\n </tr>";
	}
	else
	{
		$output_laender = " <tr class=\"row1\">\n  <td colspan=\"5\" align=\"center\">".$chC_lang['allgemein']['kein_os_in_db']."</td> </tr>\n";
	}
	$tpl->assign("STATISTICS_COUNTRIES", $output_laender);


	# Auflsungen
	$aufloesungen = $db->query("SELECT aufloesung, anzahl FROM `".$GLOBALS['chC']['dbconfig']['table_resolutions']."` ORDER BY anzahl DESC LIMIT 0, ".$config['anzahl_aufloesungen']);
	$aufloesungen = $db->fetch_assoc($aufloesungen, 'multiple');
	if(count($aufloesungen) > 0)
	{
		$max_length = 100;
		$aufloesungen_gesamt = $db->query("SELECT SUM(anzahl) as anzahl_gesamt, COUNT(anzahl) as anzahl_aufloesungen FROM `".$GLOBALS['chC']['dbconfig']['table_resolutions']."`");
		$aufloesungen_gesamt = $db->fetch_assoc($aufloesungen_gesamt);
		$output_aufloesungen = '';
		for($i=0; $i<count($aufloesungen); $i++)
		{
			$rowclass = (!(1 & $i)) ? "row1" : "row2";
			$prozent = number_format(@round(($aufloesungen[$i]['anzahl'] / $aufloesungen_gesamt['anzahl_gesamt'] ) * 100, 2), 2, $dec_seperator, $thousands_seperator);
			$width = @round(($aufloesungen[$i]['anzahl'] / $aufloesungen_gesamt['anzahl_gesamt']) * $max_length);
			$output_aufloesungen .= " <tr class=\"$rowclass\">\n";
			$output_aufloesungen .= "  <td align=\"left\">".($i+1)."</td>\n";
			$output_aufloesungen .= "  <td align=\"left\">".$aufloesungen[$i]['aufloesung']."</td>\n";
			$output_aufloesungen .= "  <td align=\"right\">".$aufloesungen[$i]['anzahl']."</td>\n";
			$output_aufloesungen .= "  <td align=\"right\">$prozent%</td>\n";
			$output_aufloesungen .= "  <td align=\"left\"><img src=\"images/graph1.png\" width=\"".$width."\" height=\"10\" alt=\"".$prozent."%\"></td>\n";
			$output_aufloesungen .= " </tr>\n";

		}
		$output_aufloesungen .= " <tr class=\"row4\">\n  <td>&nbsp;</td>\n  <td align=\"left\"><b>".$chC_lang['allgemein']['gesamt'].": ".$aufloesungen_gesamt['anzahl_aufloesungen']."</b></td>\n  <td align=\"right\">".$aufloesungen_gesamt['anzahl_gesamt']."</td>\n  <td align=\"right\">100%</td>\n  <td>&nbsp;</td>\n </tr>\n";
	}
	else
	{
		$output_aufloesungen = " <tr class=\"row1\">\n  <td colspan=\"5\" align=\"center\">".$chC_lang['allgemein']['kein_eintrag_in_db']."</td> </tr>\n";
	}
	$tpl->assign("STATISTICS_RESOLUTIONS", $output_aufloesungen);



	# Suchwrter
	$suchwoerter = $db->query("SELECT suchwoerter, anzahl FROM `".$GLOBALS['chC']['dbconfig']['table_searchwords']."` ORDER BY anzahl DESC LIMIT 0, ".$config['anzahl_suchwoerter']);
	$suchwoerter = $db->fetch_assoc($suchwoerter, 'multiple');
	if(count($suchwoerter) > 0)
	{
		$max_length = 100;
		$suchwoerter_gesamt = $db->query("SELECT SUM(anzahl) as anzahl_gesamt, COUNT(anzahl) as anzahl_suchwoerter FROM `".$GLOBALS['chC']['dbconfig']['table_searchwords']."`");
		$suchwoerter_gesamt = $db->fetch_assoc($suchwoerter_gesamt);
		$output_suchwoerter = '';
		for($i=0; $i<count($suchwoerter); $i++)
		{
			$rowclass = (!(1 & $i)) ? "row1" : "row2";
			$prozent = number_format(@round(($suchwoerter[$i]['anzahl'] / $suchwoerter_gesamt['anzahl_gesamt']) * 100, 2), 2, $dec_seperator, $thousands_seperator);
			$width = @round(($suchwoerter[$i]['anzahl'] / $suchwoerter_gesamt['anzahl_gesamt']) * $max_length);
			$output_suchwoerter .= " <tr class=\"$rowclass\">\n";
			$output_suchwoerter .= "  <td align=\"left\">".($i+1)."</td>\n";
			$output_suchwoerter .= "  <td align=\"left\">".$suchwoerter[$i]['suchwoerter']."</td>\n";
			$output_suchwoerter .= "  <td align=\"right\">".$suchwoerter[$i]['anzahl']."</td>\n";
			$output_suchwoerter .= "  <td align=\"right\">$prozent%</td>\n";
			$output_suchwoerter .= "  <td align=\"left\" style=\"width: ".$max_length."px\"><img src=\"images/graph1.png\" width=\"".$width."\" height=\"10\" alt=\"".$prozent."%\"></td>\n";
			$output_suchwoerter .= " </tr>\n";

		 }
		 $output_suchwoerter .= " <tr class=\"row4\">\n  <td>&nbsp;</td>\n  <td align=\"left\"><b>".$chC_lang['allgemein']['gesamt'].": ".$suchwoerter_gesamt['anzahl_suchwoerter']."</b></td>\n  <td align=\"right\">".$suchwoerter_gesamt['anzahl_gesamt']."</td>\n  <td align=\"right\">100%</td>\n  <td>&nbsp;</td>  </tr>\n";
	}
	else
	{
		 $output_suchwoerter = " <tr class=\"row1\">\n  <td colspan=\"5\" align=\"center\">".$chC_lang['allgemein']['kein_eintrag_in_db']."</td> </tr>\n";
	}
	$tpl->assign("STATISTICS_SEARCHWORDS", $output_suchwoerter);




	# Tageszeit / Tag
	if(!isset($HTTP_GET_VARS['hours_days_stats']) || ($HTTP_GET_VARS['hours_days_stats'] != "hours" && $HTTP_GET_VARS['hours_days_stats'] != "days"))
		       $HTTP_GET_VARS['hours_days_stats'] = "hours";

	# Selectbox Auswahlfeld
	$selectbox = "<select name=\"hours_days_stats\">\n <option value=\"\"";
	if($HTTP_GET_VARS['hours_days_stats'] == "hours")
			$selectbox .= " selected";
	$selectbox .= "> ".$chC_lang['allgemein']['Tageszeit']."</option>\n <option value=\"days\"";
	if($HTTP_GET_VARS['hours_days_stats'] == "days")
			$selectbox .= " selected";
	$selectbox .= "> ".$chC_lang['allgemein']['Wochentage']."</option>\n</select>\n";
	$tpl->assign("STATISTICS_HOURS_DAYS_TYP_SELECTBOX", $selectbox);

	$was = ($HTTP_GET_VARS['hours_days_stats'] == 'hours') ? 'tageszeit' : 'tag';
	$laufzeit = $db->query("SELECT timestamp FROM `".$GLOBALS['chC']['dbconfig']['table_access']."` WHERE was = 'tageszeit_tag_start'");
	$laufzeit = $db->fetch_assoc($laufzeit);
	$daten = $db->query("SELECT besucher, was FROM `".$GLOBALS['chC']['dbconfig']['table_access']."` WHERE was like '".$was."\_%' AND was != 'tageszeit_tag_start' ORDER BY was ASC");
	$daten = $db->fetch_assoc($daten, 'multiple');

	$laufzeit = time() - $laufzeit['timestamp'];
	$quotient = ($was == 'tageszeit') ? ceil($laufzeit / 86400) : ceil($laufzeit / 604800);
	$max = $db->query("SELECT max(besucher) as besucher FROM `".$GLOBALS['chC']['dbconfig']['table_access']."`WHERE was like '%".$was."\_%' AND was != 'tageszeit_tag_start'");
	$max = $db->fetch_assoc($max);
	$max = $max['besucher'];

	$output = "<tr>\n";
	$max_height = 200;
	for($i = 0; $i < count($daten); $i++)
	{
		$colclass = (!(1 & $i)) ? "col1" : "col2";
		$height = @round((($daten[$i]['besucher'] / $max) * $max_height));
		if($height == 0)
			$height = 1;
		$bild = ($daten[$i]['besucher'] == $max) ? "images/graph2.png" : "images/graph1.png";
                 $daten[$i]['besucher'] = number_format( round( ($daten[$i]['besucher'] / $quotient), 2 ), 2, $dec_seperator, $thousands_seperator );
		$output .= "<td class=\"$colclass\" style=\"height:".$max_height."px\" valign=\"bottom\" align=\"center\" title=\"".$chC_lang['allgemein']['besucher_durchschnittlich'].": ".$daten[$i]['besucher']."\"><img src=\"".$bild."\" width=\"15\" height=\"".$height."\" alt=\"".$chC_lang['allgemein']['besucher_durchschnittlich'].": ".$daten[$i]['besucher']."\"></td>\n";
	}
	$output .= "</tr>\n<tr>\n";
	for($i = 0; $i < count($daten); $i++)
	{
		$colclass = (!(1 & $i)) ? "col1" : "col2";

		$wann = explode('_', $daten[$i]['was']);
		$wann = $wann[1];
		if($chC_lang['lang'] != "en_EN")
		{
			 $wann = strtr($wann, $chC_lang['allgemein']['datum']);
		}

		$output .= "<td class=\"$colclass\" title=\"".(($was == 'tageszeit') ? $wann." - ".($wann +1)." ".$chC_lang['allgemein']['Uhr'] : $wann).": ".$daten[$i]['besucher']." ".$chC_lang['allgemein']['besucher_durchschnittlich']."\">".(($was == 'tageszeit') ? $wann."-<br>".($wann +1) : $wann)."</td>\n";
	}

	$output .= "</tr>\n";
	$tpl->assign("STATISTICS_HOURS_DAYS", $output);





	# Zugriffsstatistik

	if(!isset($HTTP_GET_VARS['access_stats']) || ($HTTP_GET_VARS['access_stats'] != "months" && $HTTP_GET_VARS['access_stats'] != "years" && $HTTP_GET_VARS['access_stats'] != "days"))
		       $HTTP_GET_VARS['access_stats'] = "days";

	$show = (isset($HTTP_GET_VARS['show']) && $HTTP_GET_VARS['show'] == "hits") ? "hits" : "besucher";

	# Selectbox Auswahlfeld
	$zugriffsstatistiken_typ_selectbox = "<select name=\"access_stats\">\n <option value=\"\"";
	if($HTTP_GET_VARS['access_stats'] == "days")
			$zugriffsstatistiken_typ_selectbox .= " selected";
	$zugriffsstatistiken_typ_selectbox .= "> ".$chC_lang['allgemein']['letzten_4_wochen']."</option>\n <option value=\"months\"";
	if($HTTP_GET_VARS['access_stats'] == "months")
			$zugriffsstatistiken_typ_selectbox .= " selected";
	$zugriffsstatistiken_typ_selectbox .= "> ".$chC_lang['allgemein']['letzten_12_monate']."</option>\n <option value=\"years\"";
	if($HTTP_GET_VARS['access_stats'] == "years")
			$zugriffsstatistiken_typ_selectbox .= " selected";
	$zugriffsstatistiken_typ_selectbox .=  "> ".$chC_lang['allgemein']['letzten_jahre']."</option>\n</select>\n";
	$tpl->assign("STATISTICS_ACCESS_TYP_SELECTBOX", $zugriffsstatistiken_typ_selectbox);

	$zugriffsstatistiken_show_selectbox = "<select name=\"show\">\n <option value=\"\"";
	if($show == "besucher")
			$zugriffsstatistiken_show_selectbox .= " selected";
	$zugriffsstatistiken_show_selectbox .= "> ".$chC_lang['allgemein']['nach_besuchern']."</option>\n <option value=\"hits\"";
	if($show == "hits")
			$zugriffsstatistiken_show_selectbox .= " selected";
	$zugriffsstatistiken_show_selectbox .= "> ".$chC_lang['allgemein']['nach_seitenaufrufen']."</option>\n</select>\n";
	$tpl->assign("STATISTICS_ACCESS_SHOW_SELECTBOX", $zugriffsstatistiken_show_selectbox);

	# Tage, welche lter als 4 Wochen zurckliegen, lschen, um die DB klein zu halten
	$db->query("DELETE FROM `".$GLOBALS['chC']['dbconfig']['table_access']."` WHERE was = 'tag' AND timestamp < '".mktime(
			0,
			0,
			0,
			gmdate( 'm', time() + (3600 * ($config['zeitzone'] + date("I")))),
			gmdate( 'd', time() + (3600 * ($config['zeitzone'] + date("I"))))-27,
			gmdate( 'y', time() + (3600 * ($config['zeitzone'] + date("I"))))
		)."'"
	);

	# maximaler Wert in der jeweiligen Zeitspanne (Tag|Monat|Jahr)
	$was = ($HTTP_GET_VARS['access_stats'] == "days") ? "tag" : "monat";
	$max_pro_zeitspanne = $db->query("SELECT $show FROM `".$GLOBALS['chC']['dbconfig']['table_access']."` WHERE was = '$was' ORDER BY $show DESC LIMIT 0,1");
	$max_pro_zeitspanne = $db->fetch_assoc($max_pro_zeitspanne);
	$max_pro_zeitspanne = $max_pro_zeitspanne[$show];

	# Besucher und Seitenaufrufe aus DB
	$timestamp = ($HTTP_GET_VARS['access_stats'] == "days")
		? mktime(
			0,
			0,
			0,
			gmdate( 'm', time() + (3600 * ($config['zeitzone'] + date("I")))),
			gmdate("d", time() + (3600 * ($config['zeitzone'] + date("I"))))-27,
			gmdate("y", time() + (3600 * ($config['zeitzone'] + date("I"))))
		)
		: mktime(
			0,
			0,
			0,
			gmdate("m", time() + (3600 * ($config['zeitzone'] + date("I"))))-11,
			0,
			gmdate("y", time() + (3600 * ($config['zeitzone'] + date("I")))
			)
		);
	$zugriffe = $db->query("SELECT timestamp, besucher, hits FROM `".$GLOBALS['chC']['dbconfig']['table_access']."` WHERE was = '$was' AND timestamp >= $timestamp ORDER BY timestamp ASC");
	$zugriffe = $db->fetch_assoc($zugriffe, 'multiple');

	# wenn weniger als 28 Tage bzw. 12 Monate in der DB vorhanden sind und Tage bzw. Monate angezeigt werden sollen, nicht vorhandene Eintrge hinzufgen
	$anzahl = ($HTTP_GET_VARS['access_stats'] == "days") ? 28 : 12;
	if($HTTP_GET_VARS['access_stats'] != "years" && count($zugriffe) < $anzahl)
	{
		$timestamps = '';
		for($i=0; $i < count($zugriffe); $i++)
		{
			$timestamps .= $zugriffe[$i]['timestamp'].","; // alle Timestamps in String
		}
		// alle bentigten Eintrge durchlaufen und auf Existenz in DB prfen:
		for($i=1; $i <= $anzahl; $i++)
		{
			$damals = ($HTTP_GET_VARS['access_stats'] == "days")
				? mktime(
					0,
					0,
					0,
					gmdate( 'm', time() + (3600 * ($config['zeitzone'] + date("I")))),
					gmdate( 'd', time() + (3600 * ($config['zeitzone'] + date("I"))))-28+$i,
					gmdate( 'y', time() + (3600 * ($config['zeitzone'] + date("I"))))
				)
				: mktime(
					0,
					0,
					0,
					gmdate( 'm', time() + (3600 * ($config['zeitzone'] + date("I"))))-12+$i,
					0,
					gmdate( 'y', time() + (3600 * ($config['zeitzone'] + date("I"))))
				);
			if(!ereg($damals, $timestamps)) // Timestamp mit Vorhandenen vergleichen
				$insert = $db->query("INSERT INTO `".$GLOBALS['chC']['dbconfig']['table_access']."` (was, timestamp, besucher, hits) values ('$was', '$damals', '0', '0')");
		}
		$zugriffe = $db->query("SELECT timestamp, besucher, hits FROM `".$GLOBALS['chC']['dbconfig']['table_access']."` WHERE was = '$was' ORDER BY timestamp ASC");
		$zugriffe = $db->fetch_assoc($zugriffe, 'multiple');
	}

	if($HTTP_GET_VARS['access_stats'] == "years")
	{
                 $tmp_max_anzahl = array();
		$wasanzahl = gmdate( 'Y', $zugriffe[count($zugriffe)-1]['timestamp'] + (3600 * ($config['zeitzone'] + date("I"))))
			- gmdate( 'Y', $zugriffe[0]['timestamp'] + (3600 * ($config['zeitzone'] + date("I")))) +1;
		 $j = 0;
		 for($i = 1; $i <= $wasanzahl; $i++)
		 {
			$zugriffe_neu[($i-1)]['timestamp'] = mktime(
				0,
				0,
				0,
				1,
				1,
				gmdate( 'Y', time() + (3600 * ($config['zeitzone'] + date("I"))))-($wasanzahl-$i));
			 $zugriffe_neu[($i-1)]['besucher'] = 0;
			 $zugriffe_neu[($i-1)]['hits'] = 0;
			 for($j; $j < count($zugriffe); $j++)
			 {
				 if($zugriffe[$j]['timestamp'] >= mktime(0,0,0,0,0,gmdate( 'y', time() + (3600 * ($config['zeitzone'] + date("I"))))-($wasanzahl-$i-1)))
				 	break;

				 $zugriffe_neu[($i-1)]['besucher'] += $zugriffe[$j]['besucher'];
				 $zugriffe_neu[($i-1)]['hits'] += $zugriffe[$j]['hits'];
			 }
			 $tmp_max_anzahl[] = $zugriffe_neu[($i-1)][$show];
		 }
		 $zugriffe = $zugriffe_neu;
		 sort($tmp_max_anzahl);
		 $max_pro_zeitspanne = $tmp_max_anzahl[count($tmp_max_anzahl)-1];
		 unset($tmp_max_anzahl);
	}

	$output_zugriffe = '';

	$max_height = 200;

	$output_zugriffe .= "<tr>\n";

	if($HTTP_GET_VARS['access_stats'] == "days") {
		$datumsformat_kurz = "d. m.";
		$datumsformat_lang = "d.m.Y";
	}
	elseif($HTTP_GET_VARS['access_stats'] == "months")
	{
		$datumsformat_kurz = "m. 'y";
		$datumsformat_lang = "m.Y";
	}
	else
	{
		$datumsformat_kurz = "'y";
		$datumsformat_lang = "Y";
	}

	for($i=0; $i<count($zugriffe); $i++)
	{
		$colclass = (!(1 & $i)) ? "col1" : "col2";
		if(!isset($zugriffe[$i][$show]))
			$zugriffe[$i][$show] = "0";
		$height = @round((($zugriffe[$i][$show] / $max_pro_zeitspanne) * $max_height));
		if($height == 0)
			$height = 1;
		$bild = ($zugriffe[$i][$show] == $max_pro_zeitspanne) ? "images/graph2.png" : "images/graph1.png";
		$output_zugriffe .= "<td class=\"$colclass\" style=\"height:".$max_height."px\" valign=\"bottom\" align=\"center\" title=\"".$chC_lang['allgemein']['besucher'].": ".$zugriffe[$i]['besucher'].", ".$chC_lang['allgemein']['seitenaufrufe'].": ".$zugriffe[$i]['hits']."\"><img src=\"".$bild."\" width=\"15\" height=\"".$height."\" alt=\"".$chC_lang['allgemein']['besucher'].": ".$zugriffe[$i]['besucher'].", ".$chC_lang['allgemein']['seitenaufrufe'].": ".$zugriffe[$i]['hits']."\"></td>\n";
	}

	$output_zugriffe .= "</tr>\n<tr>\n";
	for($i=0; $i < count($zugriffe); $i++)
	{
		       $colclass = (!(1 & $i)) ? "col1" : "col2";
		$output_zugriffe .= "<td class=\"$colclass\" title=\"".chC_format_date($datumsformat_lang, $zugriffe[$i]['timestamp'], $config['zeitzone']).": ".$zugriffe[$i]['besucher']." ".$chC_lang['allgemein']['besucher'].", ".$zugriffe[$i]['hits']." ".$chC_lang['allgemein']['seitenaufrufe']."\">".str_replace(" ", "<br>", chC_format_date($datumsformat_kurz, $zugriffe[$i]['timestamp'], $config['zeitzone']))."</td>\n";
	}

	$output_zugriffe .= "</tr>\n";
	$tpl->assign("STATISTICS_ACCESS", $output_zugriffe);

	$zeitzone = 'GMT';
	if($config['zeitzone'] != "0")
	{
		$zeitzone .= ($config['zeitzone'] == "1") ? ' + '.$config['zeitzone'].' '.$chC_lang['allgemein']['Stunde'] : ' + '.$config['zeitzone'].' '.$chC_lang['allgemein']['Stunden'];
	}
	$tpl->assign("TIME_ZONE", $zeitzone);

}


// copyright notice, please be fair and don't remove it. thanks :-)
$tpl->force_assign("COPYRIGHT", "<span style=\"font-size: 9px; letter-spacing: 0px;\">Powered by <a href=\"http://www.christoph-bachner.net/\" target=\"_blank\">chCounter v2.3.0</a><br>\n&copy; 2004 by Christoph Bachner</span>");
$tpl->print_template();

?>